(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 10155 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun yuscore2dollarskuscore11 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore11 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore3 () (_ BitVec 32))
(declare-fun t7uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun ts7uscore0 () (_ BitVec 32))
(assert (not (exists ((ts7uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts7uscore0) (bvsle ts7uscore0 t7uscore0dollarskuscore0)) (bvsle (bvadd ts7uscore0 yuscore2dollarskuscore11) (_ bv10 32))) (bvsge t7uscore0dollarskuscore0 (_ bv0 32))) (bvsgt yuscore2dollarskuscore11 (_ bv10 32))) (= stuscore2dollarskuscore11 (_ bv0 32))) (bvsge yuscore2dollarskuscore11 (_ bv1 32))) (bvsle yuscore2dollarskuscore11 (_ bv12 32))) (bvsle yuscore2dollarskuscore11 (bvadd (_ bv10 32) xuscore2dollarskuscore3))) (or (= stuscore2dollarskuscore11 (_ bv3 32)) (bvsge (bvadd t7uscore0dollarskuscore0 yuscore2dollarskuscore11) (_ bv1 32)))))))
(check-sat)
(exit)
