(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 12556 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun ts10uscore1 () (_ BitVec 32))
(declare-fun t10uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore18 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore10 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore18 () (_ BitVec 32))
(assert (not (exists ((ts10uscore1 (_ BitVec 32))) (=> (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts10uscore1) (bvsle ts10uscore1 t10uscore0dollarskuscore1)) (bvsle (bvadd ts10uscore1 xuscore2dollarskuscore10) (_ bv2 32))) (bvsge t10uscore0dollarskuscore1 (_ bv0 32))) (bvsgt xuscore2dollarskuscore10 (_ bv2 32))) (= stuscore2dollarskuscore18 (_ bv1 32))) (bvsge yuscore2dollarskuscore18 (_ bv1 32))) (bvsle yuscore2dollarskuscore18 (_ bv12 32))) (bvsle yuscore2dollarskuscore18 (bvadd (_ bv10 32) xuscore2dollarskuscore10))) (or (= stuscore2dollarskuscore18 (_ bv3 32)) (bvsle (bvadd t10uscore0dollarskuscore1 yuscore2dollarskuscore18) (_ bv12 32)))))))
(check-sat)
(exit)
