(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 21166 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xuscore2dollarskuscore31 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore39 () (_ BitVec 32))
(declare-fun ts22uscore2 () (_ BitVec 32))
(declare-fun t22uscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore39 () (_ BitVec 32))
(assert (not (exists ((ts22uscore2 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) xuscore2dollarskuscore31))) (=> (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts22uscore2) (bvsle ts22uscore2 t22uscore0dollarskuscore2)) (bvsle (bvadd ts22uscore2 xuscore2dollarskuscore31) (_ bv2 32))) (bvsge t22uscore0dollarskuscore2 (_ bv0 32))) (bvslt xuscore2dollarskuscore31 (_ bv2 32))) (= stuscore2dollarskuscore39 (_ bv3 32))) (bvsge yuscore2dollarskuscore39 (_ bv1 32))) (bvsle yuscore2dollarskuscore39 (_ bv12 32))) (bvsge yuscore2dollarskuscore39 (bvsub (_ bv5 32) ?v_0))) (or (= stuscore2dollarskuscore39 (_ bv1 32)) (bvsge (bvadd (bvmul (bvneg (_ bv2 32)) t22uscore0dollarskuscore2) yuscore2dollarskuscore39) (bvsub (_ bv5 32) (bvadd (bvmul (_ bv2 32) t22uscore0dollarskuscore2) ?v_0)))))))))
(check-sat)
(exit)
