(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 23061 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun ts25uscore2 () (_ BitVec 32))
(declare-fun t25uscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore47 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore47 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore39 () (_ BitVec 32))
(assert (not (exists ((ts25uscore2 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) xuscore2dollarskuscore39))) (=> (and (and (and (and (and (and (and (and (= stuscore2dollarskuscore47 (_ bv3 32)) (=> (and (bvsle (_ bv0 32) ts25uscore2) (bvsle ts25uscore2 t25uscore0dollarskuscore2)) (bvsle (bvadd ts25uscore2 yuscore2dollarskuscore47) (_ bv10 32)))) (bvsge t25uscore0dollarskuscore2 (_ bv0 32))) (bvsgt yuscore2dollarskuscore47 (_ bv10 32))) (= stuscore2dollarskuscore47 (_ bv0 32))) (bvsge yuscore2dollarskuscore47 (_ bv1 32))) (bvsle yuscore2dollarskuscore47 (_ bv12 32))) (bvsge yuscore2dollarskuscore47 (bvsub (_ bv5 32) ?v_0))) (bvsle yuscore2dollarskuscore47 (bvadd (_ bv10 32) xuscore2dollarskuscore39))) (bvsge (bvadd t25uscore0dollarskuscore2 yuscore2dollarskuscore47) (bvsub (_ bv5 32) (bvadd (bvmul (_ bv2 32) t25uscore0dollarskuscore2) ?v_0))))))))
(check-sat)
(exit)
