(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 24628 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun t27uscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun ts27uscore2 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore44 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore52 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore52 () (_ BitVec 32))
(assert (not (exists ((ts27uscore2 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) xuscore2dollarskuscore44))) (=> (and (and (and (and (and (and (and (and (= stuscore2dollarskuscore52 (_ bv3 32)) (=> (and (bvsle (_ bv0 32) ts27uscore2) (bvsle ts27uscore2 t27uscore0dollarskuscore2)) (bvsge (bvadd (bvmul (bvneg (_ bv2 32)) ts27uscore2) yuscore2dollarskuscore52) (_ bv5 32)))) (bvsge t27uscore0dollarskuscore2 (_ bv0 32))) (bvsgt yuscore2dollarskuscore52 (_ bv5 32))) (= stuscore2dollarskuscore52 (_ bv2 32))) (bvsge yuscore2dollarskuscore52 (_ bv1 32))) (bvsle yuscore2dollarskuscore52 (_ bv12 32))) (bvsge yuscore2dollarskuscore52 (bvsub (_ bv5 32) ?v_0))) (bvsle yuscore2dollarskuscore52 (bvadd (_ bv10 32) xuscore2dollarskuscore44))) (bvsge (bvadd (bvmul (bvneg (_ bv2 32)) t27uscore0dollarskuscore2) yuscore2dollarskuscore52) (bvsub (_ bv5 32) (bvadd (bvmul (_ bv2 32) t27uscore0dollarskuscore2) ?v_0))))))))
(check-sat)
(exit)
