(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 28519 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun stuscore2dollarskuscore63 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore63 () (_ BitVec 32))
(declare-fun t33uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun ts33uscore0 () (_ BitVec 32))
(assert (not (exists ((ts33uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts33uscore0) (bvsle ts33uscore0 t33uscore0dollarskuscore0)) (bvsle (bvadd ts33uscore0 yuscore2dollarskuscore63) (_ bv10 32))) (bvsge t33uscore0dollarskuscore0 (_ bv0 32))) (bvsgt yuscore2dollarskuscore63 (_ bv10 32))) (= stuscore2dollarskuscore63 (_ bv0 32))) (bvsge yuscore2dollarskuscore63 (_ bv1 32))) (bvsle yuscore2dollarskuscore63 (_ bv12 32))) (or (or (= stuscore2dollarskuscore63 (_ bv1 32)) (= stuscore2dollarskuscore63 (_ bv3 32))) (bvsge (bvadd t33uscore0dollarskuscore0 yuscore2dollarskuscore63) (_ bv1 32)))))))
(check-sat)
(exit)
