(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 28794 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun t16uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore58 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore68 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore68 () (_ BitVec 32))
(declare-fun ts16uscore1 () (_ BitVec 32))
(assert (not (exists ((ts16uscore1 (_ BitVec 32))) (=> (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts16uscore1) (bvsle ts16uscore1 t16uscore0dollarskuscore1)) (bvsle (bvadd ts16uscore1 yuscore2dollarskuscore68) (_ bv10 32))) (bvsge t16uscore0dollarskuscore1 (_ bv0 32))) (bvsgt yuscore2dollarskuscore68 (_ bv10 32))) (= stuscore2dollarskuscore68 (_ bv0 32))) (bvsge yuscore2dollarskuscore68 (_ bv1 32))) (bvsle yuscore2dollarskuscore68 (_ bv12 32))) (bvsge yuscore2dollarskuscore68 (bvsub (_ bv5 32) (bvmul (_ bv2 32) xuscore2dollarskuscore58)))) (or (= stuscore2dollarskuscore68 (_ bv1 32)) (bvsle (bvadd t16uscore0dollarskuscore1 yuscore2dollarskuscore68) (_ bv12 32)))))))
(check-sat)
(exit)
