(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 30133 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun stuscore2dollarskuscore75 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore65 () (_ BitVec 32))
(declare-fun t35uscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun ts35uscore2 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore75 () (_ BitVec 32))
(assert (not (exists ((ts35uscore2 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) xuscore2dollarskuscore65))) (=> (and (and (and (and (and (and (and (and (= stuscore2dollarskuscore75 (_ bv3 32)) (=> (and (bvsle (_ bv0 32) ts35uscore2) (bvsle ts35uscore2 t35uscore0dollarskuscore2)) (bvsle (bvadd ts35uscore2 xuscore2dollarskuscore65) (_ bv2 32)))) (bvsge t35uscore0dollarskuscore2 (_ bv0 32))) (bvslt xuscore2dollarskuscore65 (_ bv2 32))) (= stuscore2dollarskuscore75 (_ bv1 32))) (bvsge yuscore2dollarskuscore75 (_ bv1 32))) (bvsle yuscore2dollarskuscore75 (_ bv12 32))) (bvsge yuscore2dollarskuscore75 (bvsub (_ bv5 32) ?v_0))) (bvsle yuscore2dollarskuscore75 (bvadd (_ bv10 32) xuscore2dollarskuscore65))) (bvsge (bvadd t35uscore0dollarskuscore2 yuscore2dollarskuscore75) (bvsub (_ bv5 32) (bvadd (bvmul (_ bv2 32) t35uscore0dollarskuscore2) ?v_0))))))))
(check-sat)
(exit)
