(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 30870 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun ts30uscore2 () (_ BitVec 32))
(declare-fun t30uscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore78 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore78 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore68 () (_ BitVec 32))
(assert (not (exists ((ts30uscore2 (_ BitVec 32))) (=> (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts30uscore2) (bvsle ts30uscore2 t30uscore0dollarskuscore2)) (bvsle (bvadd ts30uscore2 xuscore2dollarskuscore68) (_ bv2 32))) (bvsge t30uscore0dollarskuscore2 (_ bv0 32))) (bvsgt xuscore2dollarskuscore68 (_ bv2 32))) (= stuscore2dollarskuscore78 (_ bv3 32))) (bvsge yuscore2dollarskuscore78 (_ bv1 32))) (bvsle yuscore2dollarskuscore78 (_ bv12 32))) (bvsge yuscore2dollarskuscore78 (bvsub (_ bv5 32) (bvmul (_ bv2 32) xuscore2dollarskuscore68)))) (bvsle yuscore2dollarskuscore78 (bvadd (_ bv10 32) xuscore2dollarskuscore68))) (bvsle (bvadd (bvmul (bvneg (_ bv2 32)) t30uscore0dollarskuscore2) yuscore2dollarskuscore78) (_ bv12 32))))))
(check-sat)
(exit)
