(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 30895 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun ts30uscore3 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore79 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore79 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore69 () (_ BitVec 32))
(declare-fun t30uscore0dollarskuscore3 () (_ BitVec 32))
(assert (not (exists ((ts30uscore3 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv2 32) xuscore2dollarskuscore69))) (=> (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts30uscore3) (bvsle ts30uscore3 t30uscore0dollarskuscore3)) (bvsle (bvadd ts30uscore3 xuscore2dollarskuscore69) (_ bv2 32))) (bvsge t30uscore0dollarskuscore3 (_ bv0 32))) (bvsgt xuscore2dollarskuscore69 (_ bv2 32))) (= stuscore2dollarskuscore79 (_ bv3 32))) (bvsge yuscore2dollarskuscore79 (_ bv1 32))) (bvsle yuscore2dollarskuscore79 (_ bv12 32))) (bvsge yuscore2dollarskuscore79 (bvsub (_ bv5 32) ?v_0))) (bvsle yuscore2dollarskuscore79 (bvadd (_ bv10 32) xuscore2dollarskuscore69))) (bvsge (bvadd (bvmul (bvneg (_ bv2 32)) t30uscore0dollarskuscore3) yuscore2dollarskuscore79) (bvsub (_ bv5 32) (bvadd (bvmul (_ bv2 32) t30uscore0dollarskuscore3) ?v_0))))))))
(check-sat)
(exit)
