(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 5019 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun stuscore2dollarskuscore1 () (_ BitVec 32))
(declare-fun t1uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore1 () (_ BitVec 32))
(declare-fun ts1uscore0 () (_ BitVec 32))
(assert (not (exists ((ts1uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts1uscore0) (bvsle ts1uscore0 t1uscore0dollarskuscore0)) (bvsle (bvadd ts1uscore0 yuscore2dollarskuscore1) (_ bv10 32))) (bvsge t1uscore0dollarskuscore0 (_ bv0 32))) (bvslt yuscore2dollarskuscore1 (_ bv10 32))) (= stuscore2dollarskuscore1 (_ bv0 32))) (bvsge yuscore2dollarskuscore1 (_ bv1 32))) (bvsle yuscore2dollarskuscore1 (_ bv12 32))) (or (or (= stuscore2dollarskuscore1 (_ bv1 32)) (= stuscore2dollarskuscore1 (_ bv3 32))) (bvsge (bvadd t1uscore0dollarskuscore0 yuscore2dollarskuscore1) (_ bv1 32)))))))
(check-sat)
(exit)
