(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 9350 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xuscore2dollarskuscore0 () (_ BitVec 32))
(declare-fun t6uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore8 () (_ BitVec 32))
(declare-fun ts6uscore0 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore8 () (_ BitVec 32))
(assert (not (exists ((ts6uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts6uscore0) (bvsle ts6uscore0 t6uscore0dollarskuscore0)) (bvsle (bvadd ts6uscore0 yuscore2dollarskuscore8) (_ bv10 32))) (bvsge t6uscore0dollarskuscore0 (_ bv0 32))) (bvslt yuscore2dollarskuscore8 (_ bv10 32))) (= stuscore2dollarskuscore8 (_ bv0 32))) (bvsge yuscore2dollarskuscore8 (_ bv1 32))) (bvsle yuscore2dollarskuscore8 (_ bv12 32))) (bvsle yuscore2dollarskuscore8 (bvadd (_ bv10 32) xuscore2dollarskuscore0))) (or (= stuscore2dollarskuscore8 (_ bv3 32)) (bvsge (bvadd t6uscore0dollarskuscore0 yuscore2dollarskuscore8) (_ bv1 32)))))))
(check-sat)
(exit)
