(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y1 () (_ BitVec 32))
(declare-fun y2 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(assert (forall ((?y1 (_ BitVec 32))) (exists ((?y2 (_ BitVec 32))) (or (and (bvsge (bvadd (bvadd (bvmul (_ bv69 32) ?y2) (bvmul (bvneg (_ bv80 32)) ?y1)) (bvmul (_ bv48 32) x1)) (bvneg (_ bv77 32))) (and (not (= (bvadd (bvmul (bvneg (_ bv1 32)) ?y2) (bvmul (bvneg (_ bv48 32)) x1)) (_ bv0 32))) (not (= (bvadd (bvmul (_ bv14 32) ?y1) (bvmul (bvneg (_ bv98 32)) x1)) (_ bv83 32))))) (and (and (bvsle (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?y2) (bvmul (_ bv34 32) ?y1)) (bvmul (bvneg (_ bv54 32)) x1)) (_ bv51 32)) (= (bvadd (bvadd (bvmul (_ bv27 32) ?y2) (bvmul (bvneg (_ bv17 32)) ?y1)) (bvmul (_ bv75 32) x1)) (_ bv24 32))) (not (= (bvadd (bvmul (bvneg (_ bv96 32)) ?y1) (bvmul (_ bv90 32) x1)) (bvneg (_ bv39 32)))))))))
(check-sat)
(exit)
