(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv6 32) ?x1)) (?v_2 (bvmul (_ bv46 32) ?x2)) (?v_1 (bvmul (bvneg (_ bv2 32)) ?x3))) (or (or (and (= (bvadd ?v_0 (bvmul (_ bv42 32) ?x3)) (bvneg (_ bv36 32))) (bvsgt ?v_0 (bvneg (_ bv28 32)))) (and (or (bvslt (bvadd ?v_2 (bvmul (_ bv29 32) ?x3)) (_ bv0 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv71 32)) ?x1) (bvmul (bvneg (_ bv55 32)) ?x2)) (bvmul (_ bv27 32) ?x3)) (_ bv49 32))) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv67 32)) ?x1) (bvmul (bvneg (_ bv91 32)) ?x2)) (bvmul (bvneg (_ bv79 32)) ?x3)) (_ bv48 32)) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?x1) (bvmul (_ bv25 32) ?x2)) (bvmul (_ bv74 32) ?x3)) (bvneg (_ bv11 32)))))) (or (and (or (bvsle (bvadd (bvmul (_ bv42 32) ?x2) (bvmul (bvneg (_ bv46 32)) ?x3)) (_ bv0 32)) (bvsle (bvadd (bvmul (bvneg (_ bv7 32)) ?x1) (bvmul (_ bv57 32) ?x2)) (_ bv45 32))) (and (= (bvadd (bvadd (bvmul (_ bv68 32) ?x1) (bvmul (_ bv96 32) ?x2)) (bvmul (bvneg (_ bv51 32)) ?x3)) (_ bv45 32)) (= (bvadd (bvadd (bvmul (_ bv20 32) ?x1) (bvmul (_ bv9 32) ?x2)) ?v_1) (_ bv42 32)))) (and (and (and (bvsge (bvadd (bvmul (_ bv47 32) ?x2) ?v_1) (_ bv70 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv21 32)) ?x1) (bvmul (_ bv35 32) ?x2)) (bvmul (bvneg (_ bv9 32)) ?x3)) (_ bv0 32))) (or (not (= (bvadd (bvmul (_ bv17 32) ?x1) (bvmul (_ bv94 32) ?x2)) (bvneg (_ bv39 32)))) (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv97 32)) ?x1) ?v_2) (bvmul (_ bv80 32) ?x3)) (_ bv1 32)))) (and (or (not (= (bvadd (bvmul (bvneg (_ bv23 32)) ?x2) (bvmul (bvneg (_ bv33 32)) ?x3)) (_ bv12 32))) (bvslt (bvadd (bvadd (bvmul (_ bv63 32) ?x1) (bvmul (bvneg (_ bv84 32)) ?x2)) (bvmul (_ bv21 32) ?x3)) (_ bv34 32))) (and (bvsge (bvadd (bvmul (_ bv43 32) ?x1) (bvmul (_ bv60 32) ?x3)) (bvneg (_ bv80 32))) (bvsle (bvadd (bvmul (bvneg (_ bv22 32)) ?x1) (bvmul (bvneg (_ bv21 32)) ?x3)) (_ bv71 32))))))))))))
(check-sat)
(exit)
