(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (or (or (or (bvslt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv96 32)) ?x1) (bvmul (_ bv91 32) ?x2)) (bvmul (_ bv3 32) ?x3)) (bvmul (_ bv91 32) ?x4)) (_ bv34 32)) (bvsgt (bvadd (bvmul (_ bv46 32) ?x3) (bvmul (_ bv84 32) ?x4)) (_ bv56 32))) (or (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv32 32)) ?x1) (bvmul (_ bv38 32) ?x3)) (bvmul (_ bv57 32) ?x4)) (_ bv36 32)) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv10 32) ?x1) (bvmul (bvneg (_ bv88 32)) ?x2)) (bvmul (bvneg (_ bv60 32)) ?x3)) (bvmul (bvneg (_ bv51 32)) ?x4)) (_ bv88 32))) (and (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv10 32)) ?x1) (bvmul (_ bv29 32) ?x2)) (bvmul (_ bv72 32) ?x3)) (bvmul (bvneg (_ bv61 32)) ?x4)) (_ bv26 32)) (not (= (bvmul (bvneg (_ bv23 32)) ?x3) (_ bv24 32)))))) (and (or (or (bvsle (bvadd (bvadd (bvmul (_ bv11 32) ?x1) (bvmul (_ bv65 32) ?x2)) (bvmul (_ bv50 32) ?x4)) (bvneg (_ bv31 32))) (= (bvadd (bvadd (bvadd (bvmul (_ bv73 32) ?x1) (bvmul (bvneg (_ bv82 32)) ?x2)) (bvmul (_ bv81 32) ?x3)) (bvmul (_ bv28 32) ?x4)) (bvneg (_ bv82 32)))) (or (not (= (bvadd (bvadd (bvmul (_ bv38 32) ?x1) (bvmul (bvneg (_ bv31 32)) ?x3)) (bvmul (_ bv40 32) ?x4)) (_ bv90 32))) (not (= (bvadd (bvadd (bvmul (_ bv25 32) ?x1) (bvmul (bvneg (_ bv52 32)) ?x2)) (bvmul (bvneg (_ bv8 32)) ?x3)) (bvneg (_ bv12 32)))))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv3 32)) ?x1) (bvmul (bvneg (_ bv45 32)) ?x3)) (bvneg (_ bv25 32))) (and (= (bvmul (bvneg (_ bv25 32)) ?x1) (_ bv29 32)) (not (= (bvadd (bvadd (bvadd (bvmul (_ bv46 32) ?x1) (bvmul (_ bv35 32) ?x2)) (bvmul (_ bv63 32) ?x3)) (bvmul (bvneg (_ bv39 32)) ?x4)) (_ bv63 32))))))))))))
(check-sat)
(exit)
