(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (or (and (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv69 32) ?x1) (bvmul (bvneg (_ bv80 32)) ?x2)) (bvmul (_ bv48 32) ?x3)) (bvmul (bvneg (_ bv34 32)) ?x4)) (bvneg (_ bv77 32))) (or (or (= (bvmul (_ bv61 32) ?x2) (_ bv0 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv48 32)) ?x1) (bvmul (bvneg (_ bv36 32)) ?x3)) (bvmul (_ bv67 32) ?x4)) (bvneg (_ bv1 32)))) (and (= (bvadd (bvadd (bvadd (bvmul (_ bv14 32) ?x1) (bvmul (_ bv46 32) ?x2)) (bvmul (bvneg (_ bv67 32)) ?x3)) (bvmul (_ bv54 32) ?x4)) (_ bv83 32)) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv98 32)) ?x1) (bvmul (bvneg (_ bv60 32)) ?x2)) (bvmul (_ bv12 32) ?x3)) (bvmul (bvneg (_ bv33 32)) ?x4)) (_ bv0 32))))) (or (and (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv95 32)) ?x1) (bvmul (_ bv34 32) ?x2)) (bvmul (bvneg (_ bv54 32)) ?x3)) (bvmul (_ bv3 32) ?x4)) (_ bv51 32)) (= (bvadd (bvadd (bvadd (bvmul (_ bv27 32) ?x1) (bvmul (bvneg (_ bv17 32)) ?x2)) (bvmul (_ bv75 32) ?x3)) (bvmul (bvneg (_ bv37 32)) ?x4)) (_ bv24 32))) (or (= (bvadd (bvmul (bvneg (_ bv96 32)) ?x1) (bvmul (bvneg (_ bv28 32)) ?x2)) (bvneg (_ bv39 32))) (and (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?x2) (bvmul (bvneg (_ bv23 32)) ?x3)) (bvmul (bvneg (_ bv9 32)) ?x4)) (_ bv0 32)) (not (= (bvadd (bvadd (bvmul (bvneg (_ bv29 32)) ?x1) (bvmul (bvneg (_ bv84 32)) ?x3)) (bvmul (_ bv48 32) ?x4)) (_ bv90 32))))))))))))
(check-sat)
(exit)
