(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b31 () Bool)
(declare-fun bool.b2 () Bool)
(declare-fun bool.b0 () Bool)
(declare-fun bool.b1 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambda)))) (?v_1 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (bvsdiv (_ bv5 32) (_ bv16 32)) ?lambda))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_4 (not bool.b31)) (?v_9 (not bool.b2)) (?v_5 (and (not bool.b0) bool.b1))) (let ((?v_8 (and ?v_9 ?v_5)) (?v_2 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (bvsdiv (_ bv5 32) (_ bv16 32)) ?lambdaprime)))) (?v_3 (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambdaprime))))) (let ((?v_7 (not (bvsle ?v_3 (bvsdiv (bvneg (_ bv445 32)) (_ bv2 32))))) (?v_6 (not (bvsle ?v_2 (bvneg (_ bv15 32)))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (bvsdiv (_ bv1 32) (_ bv10 32)) ?lambdaprime))) (bvneg (_ bv3 32)))) (and (and (and (not (and (not (and (not (bvsle ?v_2 (bvneg (_ bv20 32)))) ?v_7)) (and ?v_4 ?v_8))) (not (and (not (and ?v_6 (not (bvsle ?v_3 (bvneg (_ bv235 32)))))) (and ?v_4 (and bool.b2 ?v_5))))) (not (and (not (and ?v_6 ?v_7)) (and bool.b31 ?v_8)))) (not (and (not (and ?v_6 (not (bvsle ?v_3 (bvsdiv (bvneg (_ bv475 32)) (_ bv2 32)))))) (and ?v_4 (and ?v_9 (and bool.b0 (not bool.b1)))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and (not (bvsle ?v_0 (_ bv227 32))) (bvsle ?v_1 (bvneg (_ bv20 32))))) (not (and (not (bvsle ?v_0 (_ bv242 32))) (bvsle ?v_1 (bvneg (_ bv15 32))))))))))
(check-sat)
(exit)
