(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b31 () Bool)
(declare-fun bool.b2 () Bool)
(declare-fun bool.b0 () Bool)
(declare-fun bool.b1 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_2 (not bool.b2)) (?v_1 (and (not bool.b0) bool.b1))) (let ((?v_14 (and (not (and ?v_2 ?v_1)) (not (and (not bool.b31) (not (and (not ?v_1) (not (and ?v_2 (and bool.b0 (not bool.b1)))))))))) (?v_3 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambda))))) (let ((?v_7 (bvsle ?v_3 (_ bv242 32)))) (let ((?v_10 (not ?v_7)) (?v_4 (bvadd x4 (bvmul (bvsdiv (_ bv5 32) (_ bv16 32)) ?lambda)))) (let ((?v_6 (bvmul (bvneg (_ bv1 32)) ?v_4))) (let ((?v_0 (bvsle ?v_6 (bvneg (_ bv15 32))))) (let ((?v_13 (not (and ?v_10 ?v_0))) (?v_11 (not ?v_0)) (?v_5 (bvadd ?v_3 (bvmul (bvsdiv (bvneg (_ bv8 32)) (_ bv5 32)) ?v_4)))) (let ((?v_12 (not (bvsle ?v_5 (_ bv195 32)))) (?v_8 (bvadd x5 (bvmul (bvsdiv (_ bv1 32) (_ bv10 32)) ?lambda)))) (let ((?v_9 (bvadd ?v_6 (bvmul (bvsdiv (_ bv25 32) (_ bv8 32)) ?v_8)))) (let ((?v_15 (bvsle ?v_9 (bvsdiv (bvneg (_ bv45 32)) (_ bv8 32)))) (?v_16 (and ?v_7 (not (and (bvsle (bvadd ?v_3 (bvmul (bvneg (_ bv5 32)) ?v_8)) (_ bv227 32)) (not (bvsle ?v_9 (bvsdiv (bvneg (_ bv85 32)) (_ bv8 32))))))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_19 (not bool.b31)) (?v_22 (and ?v_2 ?v_1)) (?v_17 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (bvsdiv (_ bv5 32) (_ bv16 32)) ?lambdaprime)))) (?v_18 (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambdaprime))))) (let ((?v_21 (not (bvsle ?v_18 (bvsdiv (bvneg (_ bv445 32)) (_ bv2 32))))) (?v_20 (not (bvsle ?v_17 (bvneg (_ bv15 32)))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (bvsdiv (_ bv1 32) (_ bv10 32)) ?lambdaprime))) (bvneg (_ bv3 32)))) (and (and (and (not (and (not (and (not (bvsle ?v_17 (bvneg (_ bv20 32)))) ?v_21)) (and ?v_19 ?v_22))) (not (and (not (and ?v_20 (not (bvsle ?v_18 (bvneg (_ bv235 32)))))) (and ?v_19 (and bool.b2 ?v_1))))) (not (and (not (and ?v_20 ?v_21)) (and bool.b31 ?v_22)))) (not (and (not (and ?v_20 (not (bvsle ?v_18 (bvsdiv (bvneg (_ bv475 32)) (_ bv2 32)))))) (and ?v_19 (and ?v_2 (and bool.b0 (not bool.b1))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (and ?v_13 (not (and ?v_11 (and ?v_14 (and (bvsle ?v_5 (_ bv316 32)) (and ?v_12 (and ?v_15 (not (and (not ?v_16) (not (and ?v_10 ?v_11))))))))))) (and (and (not (and (bvsle ?v_6 (bvneg (_ bv20 32))) ?v_12)) ?v_13) (not (and ?v_14 (and ?v_12 (and ?v_15 (not (and (not (and ?v_11 ?v_16)) (and ?v_13 (not (and ?v_0 ?v_16))))))))))))))))))))))))
(check-sat)
(exit)
