(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b21 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_2 (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (?v_15 (not bool.b23)) (?v_13 (not bool.b22)) (?v_11 (not bool.b21)) (?v_8 (not bool.b19)) (?v_7 (not bool.b17)) (?v_5 (not bool.b18))) (let ((?v_6 (bvsle (bvmul (_ bv1 32) ?v_2) (_ bv4820 32))) (?v_1 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambda))))) (let ((?v_0 (bvadd ?v_1 (bvmul (bvsdiv (_ bv1 32) (_ bv40 32)) ?v_2))) (?v_3 (bvsle ?v_1 (_ bv0 32)))) (let ((?v_4 (and ?v_3 (not ?v_6)))) (let ((?v_10 (not ?v_4))) (let ((?v_9 (and bool.b18 ?v_10)) (?v_19 (not (and ?v_3 (not (and ?v_6 (not (and ?v_7 ?v_5))))))) (?v_18 (not (and bool.b19 ?v_10)))) (let ((?v_12 (not (and (not (and ?v_8 (not (and (not (and ?v_7 ?v_9)) (not (and bool.b17 ?v_10)))))) ?v_18))) (?v_17 (not (and bool.b21 ?v_10)))) (let ((?v_14 (not (and (not (and ?v_11 ?v_12)) ?v_17))) (?v_16 (not (and bool.b22 ?v_10)))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_21 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime)))) (?v_22 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambdaprime))))) (let ((?v_20 (not (bvsle ?v_22 (_ bv33 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (and (not (and bool.b17 (not (and (not (bvsle ?v_21 (bvneg (_ bv4100 32)))) ?v_20)))) (not (and bool.b18 (not (and ?v_20 (not (bvsle ?v_21 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_20 (not (bvsle ?v_21 (bvneg (_ bv4910 32))))))))) (not (and bool.b20 (bvsle ?v_22 (_ bv20 32)))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (bvsle ?v_0 (_ bv200 32)) (and (not (bvsle ?v_0 (bvsdiv (_ bv241 32) (_ bv2 32)))) (and (not (and (not bool.b20) (not (and (not (and ?v_15 (not (and (not (and ?v_13 (not (and (not (and ?v_11 (not (and (not (and ?v_8 (not (and (not (and ?v_7 (and (not (and ?v_5 ?v_4)) (not (and bool.b18 ?v_3))))) (not (and bool.b17 (not (and (not ?v_9) (not (and ?v_5 (not ?v_3))))))))))) (not (and bool.b19 ?v_19)))))) (not (and bool.b21 ?v_12)))))) (not (and bool.b22 ?v_14)))))) (not (and bool.b23 (not (and (not (and ?v_13 ?v_14)) ?v_16)))))))) (not (and bool.b20 (not (and (not (and bool.b23 ?v_10)) (not (and ?v_15 (not (and ?v_16 (not (and ?v_13 (not (and ?v_17 (not (and ?v_11 (not (and ?v_18 (not (and ?v_8 ?v_19)))))))))))))))))))))))))))))))))
(check-sat)
(exit)
