(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b20 () Bool)
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b21 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_11 (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (?v_13 (not bool.b17)) (?v_9 (not bool.b23)) (?v_7 (not bool.b22)) (?v_5 (not bool.b21)) (?v_3 (not bool.b20)) (?v_15 (not bool.b18)) (?v_14 (not bool.b19))) (let ((?v_4 (and ?v_15 ?v_14))) (let ((?v_2 (not ?v_4)) (?v_6 (and ?v_3 ?v_4))) (let ((?v_8 (and ?v_5 ?v_6))) (let ((?v_10 (and ?v_7 ?v_8)) (?v_16 (not (and ?v_7 ?v_9))) (?v_1 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambda))))) (let ((?v_0 (bvadd ?v_1 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_11))) (?v_12 (bvsle ?v_1 (_ bv0 32)))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_17 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambdaprime)))) (?v_19 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime))))) (let ((?v_18 (not (bvsle ?v_17 (_ bv45 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (and bool.b20 (bvsle ?v_17 (_ bv20 32)))) (and (and (not (and bool.b17 (not (and (not (bvsle ?v_19 (bvneg (_ bv4100 32)))) ?v_18)))) (not (and bool.b18 (not (and ?v_18 (not (bvsle ?v_19 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_18 (not (bvsle ?v_19 (bvneg (_ bv4910 32))))))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (bvsle ?v_0 (_ bv600 32)) (and (not (bvsle ?v_0 (bvsdiv (_ bv723 32) (_ bv2 32)))) (and (not (and ?v_12 (and (not (and (not (and ?v_13 (not (and (not (and ?v_9 (not (and (not (and ?v_7 (not (and (not (and ?v_5 (not (and (not (and ?v_3 (not (and ?v_2 (not (and bool.b18 bool.b19)))))) (not (and bool.b20 ?v_2)))))) (not (and bool.b21 (not ?v_6))))))) (not (and bool.b22 (not ?v_8))))))) (not (and bool.b23 (not ?v_10))))))) (not (and bool.b17 (not (and ?v_9 ?v_10)))))) (bvsle (bvmul (_ bv1 32) ?v_11) (_ bv4820 32))))) (not (and (not ?v_12) (not (and ?v_13 (and ?v_3 (and ?v_14 (and ?v_15 (and (not (and ?v_5 (not (and ?v_16 (not (and bool.b22 bool.b23)))))) (not (and bool.b21 ?v_16)))))))))))))))))))))))
(check-sat)
(exit)
