(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_1 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime)))) (?v_0 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambdaprime))) (bvneg (_ bv30 32)))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (not (and bool.b17 (not (and (not (bvsle ?v_1 (bvneg (_ bv4100 32)))) ?v_0)))) (not (and bool.b18 (not (and ?v_0 (not (bvsle ?v_1 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_0 (not (bvsle ?v_1 (bvneg (_ bv4910 32))))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (bvsle (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambda))) (_ bv0 32)) (not (bvsle (bvmul (_ bv1 32) (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (_ bv4820 32))))))))
(check-sat)
(exit)
