(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b17 () Bool)
(declare-fun bool.b18 () Bool)
(declare-fun bool.b19 () Bool)
(declare-fun bool.b20 () Bool)
(declare-fun bool.b21 () Bool)
(declare-fun bool.b22 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b24 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_2 (bvadd x4 (bvmul (_ bv40 32) ?lambda))) (?v_4 (not bool.b22)) (?v_5 (not bool.b23)) (?v_6 (not bool.b20)) (?v_7 (not bool.b19)) (?v_8 (not bool.b18)) (?v_9 (not bool.b17)) (?v_13 (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_13))) (let ((?v_10 (bvsle ?v_0 (_ bv0 32))) (?v_11 (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv15 32)) ?v_2)) (bvsdiv (_ bv964 32) (_ bv3 32))))) (let ((?v_26 (not ?v_11))) (let ((?v_1 (not (and ?v_10 ?v_26)))) (let ((?v_58 (not (and bool.b19 ?v_1))) (?v_55 (not (and bool.b18 ?v_1))) (?v_38 (not (and bool.b17 ?v_1))) (?v_3 (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv40 32)) ?v_2)))) (let ((?v_33 (bvsle ?v_3 (_ bv200 32)))) (let ((?v_63 (not (and (not (and bool.b20 ?v_1)) (not (and ?v_6 (not (and ?v_58 (not (and ?v_7 (not (and ?v_55 (not (and ?v_8 (not (and ?v_38 (not (and ?v_9 (not (and ?v_33 (not (bvsle ?v_3 (bvsdiv (_ bv241 32) (_ bv2 32)))))))))))))))))))))))) (let ((?v_64 (not (and (not (and bool.b23 ?v_1)) (not (and ?v_5 ?v_63))))) (?v_25 (bvmul (bvneg (_ bv1 32)) ?v_2))) (let ((?v_21 (bvsle ?v_25 (bvneg (_ bv4500 32)))) (?v_34 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv20 32)) ?v_2))) (let ((?v_12 (bvadd ?v_0 ?v_34))) (let ((?v_20 (and (bvsle ?v_12 (bvneg (_ bv205 32))) (not (bvsle ?v_12 (bvneg (_ bv209 32))))))) (let ((?v_14 (not ?v_20)) (?v_17 (bvmul (bvneg (_ bv1 32)) ?v_13))) (let ((?v_37 (bvsle ?v_17 (bvneg (_ bv30 32))))) (let ((?v_16 (not ?v_37)) (?v_22 (not ?v_10)) (?v_15 (bvadd ?v_0 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv80 32)) ?v_2)))) (let ((?v_18 (bvsle ?v_15 (bvsdiv (bvneg (_ bv161 32)) (_ bv4 32)))) (?v_19 (not (bvsle ?v_17 (bvneg (_ bv20 32)))))) (let ((?v_39 (not (and (not ?v_21) (not (and (not (and ?v_10 (and ?v_11 (not (and (not (and (not (bvsle ?v_0 (_ bv30 32))) ?v_14)) (not (and ?v_16 ?v_14))))))) (not (and ?v_22 (not (and (not (and (not ?v_18) (not (and (bvsle ?v_15 (bvsdiv (bvneg (_ bv145 32)) (_ bv4 32))) (and ?v_16 (not (and ?v_19 ?v_14))))))) (not (and ?v_18 (not (and ?v_19 ?v_20))))))))))))) (?v_56 (not (and ?v_10 ?v_11))) (?v_24 (bvsle ?v_0 (_ bv20 32))) (?v_23 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_2)))) (let ((?v_28 (bvsle ?v_23 (_ bv1200 32)))) (let ((?v_40 (not (and ?v_24 (and (not (and ?v_28 (not (bvsle ?v_23 (_ bv723 32))))) (not (and ?v_11 (not (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv20 32)) ?v_2)) (_ bv241 32))))))))) (?v_41 (not ?v_24)) (?v_27 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv40 32)) ?v_2)))) (let ((?v_44 (not (bvsle ?v_27 (bvsdiv (_ bv703 32) (_ bv2 32))))) (?v_45 (bvsle ?v_27 (_ bv610 32))) (?v_30 (bvsle ?v_27 (_ bv359 32)))) (let ((?v_48 (not ?v_30)) (?v_49 (not (bvsle ?v_27 (bvsdiv (_ bv743 32) (_ bv2 32))))) (?v_29 (bvsle ?v_0 (_ bv40 32)))) (let ((?v_32 (and ?v_29 ?v_28)) (?v_36 (not ?v_29))) (let ((?v_47 (not (and ?v_36 ?v_30)))) (let ((?v_54 (not (and ?v_44 (and ?v_45 (and (not (and ?v_48 (not (and ?v_49 ?v_32)))) ?v_47))))) (?v_59 (not (bvsle ?v_3 (bvsdiv (_ bv261 32) (_ bv2 32))))) (?v_60 (bvsle ?v_3 (bvsdiv (_ bv650 32) (_ bv3 32)))) (?v_31 (bvsle ?v_3 (_ bv133 32)))) (let ((?v_61 (not ?v_31)) (?v_62 (bvsle ?v_3 (bvsdiv (_ bv823 32) (_ bv6 32))))) (let ((?v_42 (not (and ?v_11 (not (and ?v_59 (and ?v_60 (and (not (and ?v_61 (not (and ?v_29 (not ?v_62))))) (not (and ?v_31 (not ?v_32)))))))))) (?v_43 (not (bvsle ?v_25 (bvneg (_ bv4910 32))))) (?v_35 (bvsle ?v_0 (_ bv45 32)))) (let ((?v_50 (not (and (not ?v_35) (not (bvsle (bvadd ?v_17 ?v_34) (bvsdiv (bvneg (_ bv581 32)) (_ bv2 32))))))) (?v_53 (and ?v_36 (not (and (bvsle (bvadd ?v_0 (bvmul (bvsdiv (_ bv1 32) (_ bv60 32)) ?v_2)) (bvsdiv (_ bv400 32) (_ bv3 32))) (bvsle (bvadd ?v_17 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv60 32)) ?v_2)) (bvsdiv (bvneg (_ bv731 32)) (_ bv6 32)))))))) (let ((?v_52 (not ?v_53)) (?v_51 (not (bvsle ?v_0 (_ bv33 32)))) (?v_57 (bvsle (bvadd ?v_17 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv40 32)) ?v_2)) (bvsdiv (bvneg (_ bv623 32)) (_ bv4 32))))) (let ((?v_46 (not (and ?v_50 (not (and ?v_35 (not (and ?v_52 (not (and ?v_29 (not (and ?v_51 (and ?v_37 ?v_57))))))))))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_66 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime)))) (?v_67 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambdaprime))))) (let ((?v_65 (not (bvsle ?v_67 (_ bv33 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (and (not (and bool.b17 (not (and (not (bvsle ?v_66 (bvneg (_ bv4100 32)))) ?v_65)))) (not (and bool.b18 (not (and ?v_65 (not (bvsle ?v_66 (bvneg (_ bv4500 32))))))))) (not (and bool.b19 (not (and ?v_65 (not (bvsle ?v_66 (bvneg (_ bv4910 32))))))))) (not (and bool.b20 (bvsle ?v_67 (_ bv20 32)))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and bool.b21 (and (not (and bool.b22 ?v_1)) (not (and ?v_4 ?v_64))))) (not (and (not bool.b21) (and (not (and ?v_4 (not (and (not (and ?v_5 (not (and (not (and ?v_6 (not (and (not (and ?v_7 (not (and (not (and ?v_8 (not (and (not (and ?v_9 ?v_1)) (not (and bool.b17 (not (and ?v_39 (not (and ?v_21 (not (and ?v_56 (not (and ?v_22 (not (and (not (and (not bool.b24) (not (and ?v_40 (not (and ?v_41 (not (and (bvsle ?v_25 (bvneg (_ bv4100 32))) (and (not (and ?v_26 ?v_54)) ?v_42))))))))) (not (and bool.b24 (not (and ?v_33 (not (and ?v_43 ?v_46)))))))))))))))))))))) (not (and bool.b18 (not (and ?v_38 (not (and ?v_9 (not (and ?v_39 (not (and ?v_21 (not (and ?v_40 (not (and ?v_41 (not (and ?v_42 (not (and ?v_26 (not (and (not (and ?v_43 (not (and ?v_44 (and (not (and (not ?v_45) ?v_46)) (not (and ?v_45 (not (and ?v_47 (not (and ?v_48 (not (and ?v_49 (and (not (and (not ?v_28) (not (and ?v_50 (not (and ?v_35 (not (and ?v_51 ?v_52)))))))) (not (and ?v_28 (not (and ?v_50 (not (and ?v_35 ?v_53)))))))))))))))))))) (not (and (not ?v_33) ?v_54)))))))))))))))))))))))))) (not (and bool.b19 (not (and ?v_55 (not (and ?v_8 (not (and ?v_38 (not (and ?v_9 (not (and ?v_56 (not (and ?v_22 (not (and ?v_33 (not (and ?v_43 (not ?v_57))))))))))))))))))))))) (not (and bool.b20 (not (and ?v_58 (not (and ?v_7 (not (and ?v_55 (not (and ?v_8 (not (and ?v_38 (not (and ?v_9 (not (and ?v_40 (not (and ?v_41 (not (and ?v_59 (and ?v_60 (not (and ?v_61 ?v_62))))))))))))))))))))))))))) (not (and bool.b23 ?v_63)))))) (not (and bool.b22 ?v_64))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
