(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b14 () Bool)
(declare-fun bool.b8 () Bool)
(declare-fun bool.b10 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_0 (not bool.b5))) (let ((?v_1 (not (and ?v_0 bool.b23))) (?v_2 (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambda))) (bvneg (_ bv10 32))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_5 (not bool.b22)) (?v_7 (not bool.b7)) (?v_6 (and ?v_0 (not bool.b6))) (?v_9 (and ?v_0 bool.b6)) (?v_4 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv60 32) ?lambdaprime)))) (?v_8 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambdaprime))))) (let ((?v_3 (not (bvsle ?v_8 (_ bv45 32)))) (?v_10 (bvsle ?v_8 (_ bv40 32)))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (and (not (and (not (and (not (bvsle ?v_4 (bvneg (_ bv4100 32)))) ?v_3)) (and ?v_5 (and ?v_7 ?v_6)))) (not (and (not (and ?v_3 (not (bvsle ?v_4 (bvneg (_ bv4500 32)))))) (and ?v_5 (and bool.b7 ?v_6))))) (not (and (not (and ?v_3 (not (bvsle ?v_4 (bvneg (_ bv4910 32)))))) (and ?v_5 (and ?v_7 ?v_9))))) (not (and ?v_10 (and ?v_5 (and bool.b7 ?v_9)))))) (not (and bool.b22 ?v_10)))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and (not bool.b6) (not (and bool.b5 (not bool.b7))))) (not (and bool.b6 (not (and (not (bvsle (bvmul (_ bv1 32) (bvadd x4 (bvmul (_ bv60 32) ?lambda))) (_ bv4820 32))) (and bool.b7 (and (bvsle (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambda))) (_ bv0 32)) (and (not (and ?v_2 (not (and (not (and bool.b12 ?v_1)) (and ?v_0 (not (and ?v_1 (not (and (not bool.b14) (and (not bool.b8) (not bool.b10))))))))))) (not (and bool.b5 (not ?v_2))))))))))))))))))
(check-sat)
(exit)
