(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b8 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b14 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_0 (not bool.b5))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_3 (not bool.b22)) (?v_5 (not bool.b7)) (?v_4 (and ?v_0 (not bool.b6))) (?v_1 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambdaprime))) (bvneg (_ bv20 32))))) (?v_2 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv20 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (not (and (not (and ?v_1 (not (bvsle ?v_2 (bvneg (_ bv4100 32)))))) (and ?v_3 (and ?v_5 ?v_4)))) (not (and (not (and ?v_1 (not (bvsle ?v_2 (bvneg (_ bv4500 32)))))) (and ?v_3 (and bool.b7 ?v_4))))) (not (and (not (and ?v_1 (not (bvsle ?v_2 (bvneg (_ bv4910 32)))))) (and ?v_3 (and ?v_5 (and ?v_0 bool.b6))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and (not bool.b6) (not (and bool.b5 (not bool.b7))))) (not (and bool.b6 (not (and (not (bvsle (bvmul (_ bv1 32) (bvadd x4 (bvmul (_ bv20 32) ?lambda))) (_ bv4820 32))) (and bool.b7 (and (not (and (not (and ?v_0 bool.b23)) (not (and (not bool.b12) (and (and (not bool.b8) (not bool.b10)) (and ?v_0 (not bool.b14))))))) (bvsle (bvadd (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambda))) (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambda)))) (bvneg (_ bv10 32))))))))))))))))
(check-sat)
(exit)
