(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b8 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b14 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_6 (not bool.b5)) (?v_1 (bvadd x5 (bvmul (_ bv1 32) ?lambda))) (?v_13 (bvadd x4 (bvmul (_ bv40 32) ?lambda)))) (let ((?v_10 (and (not bool.b12) (and (and (not bool.b8) (not bool.b10)) (and ?v_6 (not bool.b14)))))) (let ((?v_15 (not ?v_10)) (?v_14 (not (bvsle (bvmul (_ bv1 32) ?v_13) (_ bv4820 32)))) (?v_8 (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambda)))) (let ((?v_0 (bvmul (_ bv1 32) ?v_8))) (let ((?v_11 (bvsle ?v_0 (_ bv0 32))) (?v_3 (bvsle (bvmul (bvneg (_ bv1 32)) ?v_1) (bvneg (_ bv10 32))))) (let ((?v_12 (not ?v_3)) (?v_7 (bvsle (bvadd ?v_0 (bvmul (_ bv3 32) ?v_1)) (_ bv30 32))) (?v_2 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_13)))) (let ((?v_4 (not (bvsle ?v_2 (_ bv723 32)))) (?v_5 (bvsle ?v_2 (_ bv1200 32))) (?v_9 (bvsle (bvadd (bvmul (bvneg (_ bv1 32)) ?v_8) (bvmul (bvneg (_ bv3 32)) ?v_1)) (bvneg (_ bv30 32))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_18 (not bool.b22)) (?v_20 (not bool.b7)) (?v_19 (and ?v_6 (not bool.b6))) (?v_22 (and ?v_6 bool.b6)) (?v_17 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv40 32) ?lambdaprime)))) (?v_21 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv3 32)) ?lambdaprime))))) (let ((?v_16 (not (bvsle ?v_21 (_ bv45 32)))) (?v_23 (bvsle ?v_21 (_ bv20 32)))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (and (not (and (not (and (not (bvsle ?v_17 (bvneg (_ bv4100 32)))) ?v_16)) (and ?v_18 (and ?v_20 ?v_19)))) (not (and (not (and ?v_16 (not (bvsle ?v_17 (bvneg (_ bv4500 32)))))) (and ?v_18 (and bool.b7 ?v_19))))) (not (and (not (and ?v_16 (not (bvsle ?v_17 (bvneg (_ bv4910 32)))))) (and ?v_18 (and ?v_20 ?v_22))))) (not (and ?v_23 (and ?v_18 (and bool.b7 ?v_22)))))) (not (and bool.b22 ?v_23)))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and (not bool.b7) (not (and bool.b5 (not bool.b6))))) (not (and bool.b7 (not (and bool.b6 (and (not (and (not ?v_11) (not (and (bvsle ?v_0 (_ bv20 32)) (and (not (and ?v_12 (not (and ?v_7 (and ?v_4 (and ?v_6 ?v_5)))))) (not (and ?v_3 (not (and ?v_4 (and ?v_5 (and (not (and (not bool.b23) (not (and (bvsle ?v_0 (_ bv30 32)) ?v_10)))) (not (and bool.b23 (not (and ?v_7 (and (not (and bool.b5 (not ?v_9))) (not (and ?v_9 ?v_15)))))))))))))))))) (not (and ?v_11 (not (and (not (and ?v_12 (not (and ?v_6 ?v_14)))) (not (and ?v_3 (not (and ?v_14 (not (and (not (and ?v_6 bool.b23)) ?v_15))))))))))))))))))))))))))))
(check-sat)
(exit)
