(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b8 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b14 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_6 (not bool.b5)) (?v_2 (bvmul (_ bv1 32) ?lambda))) (let ((?v_0 (bvmul (_ bv1 32) (bvadd x3 ?v_2)))) (let ((?v_3 (bvsle ?v_0 (_ bv0 32))) (?v_5 (bvadd x4 (bvmul (_ bv20 32) ?lambda))) (?v_7 (and (not bool.b12) (and (and (not bool.b8) (not bool.b10)) (and ?v_6 (not bool.b14)))))) (let ((?v_1 (bvadd ?v_0 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_5))) (?v_4 (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 ?v_2)) (bvneg (_ bv10 32))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_8 (bvmul (_ bv1 32) ?lambdaprime)) (?v_11 (not bool.b22)) (?v_13 (not bool.b7)) (?v_12 (and ?v_6 (not bool.b6)))) (let ((?v_9 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 ?v_8)) (bvneg (_ bv20 32))))) (?v_10 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv20 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 ?v_8)) (bvneg (_ bv10 32)))) (and (and (not (and (not (and ?v_9 (not (bvsle ?v_10 (bvneg (_ bv4100 32)))))) (and ?v_11 (and ?v_13 ?v_12)))) (not (and (not (and ?v_9 (not (bvsle ?v_10 (bvneg (_ bv4500 32)))))) (and ?v_11 (and bool.b7 ?v_12))))) (not (and (not (and ?v_9 (not (bvsle ?v_10 (bvneg (_ bv4910 32)))))) (and ?v_11 (and ?v_13 (and ?v_6 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and (not bool.b7) (not (and bool.b5 (not bool.b6))))) (not (and bool.b7 (not (and bool.b6 (and (not (and (not ?v_3) (not (and (not (bvsle ?v_1 (_ bv723 32))) (and (bvsle ?v_1 (_ bv1200 32)) (and ?v_4 (and (bvsle ?v_0 (_ bv20 32)) (and (not bool.b23) ?v_7)))))))) (not (and ?v_3 (not (and ?v_4 (and (not (bvsle (bvmul (_ bv1 32) ?v_5) (_ bv4820 32))) (not (and (not (and ?v_6 bool.b23)) (not ?v_7)))))))))))))))))))))))
(check-sat)
(exit)
