(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: ETCS-d-braking, node 2220 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v () (_ BitVec 32))
(declare-fun d () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun ts2uscore0 () (_ BitVec 32))
(declare-fun m () (_ BitVec 32))
(declare-fun t2uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun z () (_ BitVec 32))
(assert (not (exists ((ts2uscore0 (_ BitVec 32))) (let ((?v_0 (bvmul (bvneg (_ bv1 32)) b))) (=> (and (and (and (and (and (and (and (bvsge (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul ?v_0 (bvmul t2uscore0dollarskuscore0 t2uscore0dollarskuscore0)) (bvmul (bvmul (_ bv2 32) t2uscore0dollarskuscore0) v)) (bvmul (_ bv2 32) z))) m) (=> (and (bvsle (_ bv0 32) ts2uscore0) (bvsle ts2uscore0 t2uscore0dollarskuscore0)) (bvsge (bvadd (bvmul ?v_0 ts2uscore0) v) (_ bv0 32)))) (bvsge t2uscore0dollarskuscore0 (_ bv0 32))) (bvsle (bvsub (bvmul v v) (bvmul d d)) (bvmul (bvmul (_ bv2 32) b) (bvsub m z)))) (bvsge v (_ bv0 32))) (bvsge d (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsle z m)) (bvsle (bvadd (bvmul ?v_0 t2uscore0dollarskuscore0) v) d))))))
(check-sat)
(exit)
