(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: dynamic_reaction_to_static_bounds.proof, node 829 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun a2uscore1dollarskuscore1 () (_ BitVec 32))
(declare-fun Tr () (_ BitVec 32))
(declare-fun ts0uscore1 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun t1uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun v2 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(assert (not (exists ((ts0uscore1 (_ BitVec 32))) (=> (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts0uscore1) (bvsle ts0uscore1 t1uscore0dollarskuscore1)) (and (bvslt ts0uscore1 Tr) (bvsge (bvadd (bvmul a2uscore1dollarskuscore1 ts0uscore1) v2) (_ bv0 32)))) (bvsge t1uscore0dollarskuscore1 (_ bv0 32))) (bvsle (bvneg B) a2uscore1dollarskuscore1)) (bvsle a2uscore1dollarskuscore1 A)) (bvsge B b)) (bvsgt b (_ bv0 32))) (bvsge v2 (_ bv0 32))) (bvsge A (_ bv0 32))) (bvsgt Tr (_ bv0 32))) (bvsle x2 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul a2uscore1dollarskuscore1 (bvmul t1uscore0dollarskuscore1 t1uscore0dollarskuscore1)) (bvmul (bvmul (_ bv2 32) t1uscore0dollarskuscore1) v2)) (bvmul (_ bv2 32) x2))))))))
(check-sat)
(exit)
