(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-onelane.proof, node 43339 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun v () (_ BitVec 32))
(declare-fun xI () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun ts97uscore1 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun vuscore4dollarskuscore52 () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun t179uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun xuscore4dollarskuscore47 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts97uscore1 (_ BitVec 32))) (let ((?v_1 (bvneg B))) (let ((?v_0 (bvadd (bvmul ?v_1 ts97uscore1) vuscore4dollarskuscore52))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts97uscore1) (bvsle ts97uscore1 t179uscore0dollarskuscore1)) (and (and (bvsge ?v_0 (_ bv0 32)) (bvsle ?v_0 V)) (bvsle ts97uscore1 ep))) (bvsge t179uscore0dollarskuscore1 (_ bv0 32))) (bvsge vuscore4dollarskuscore52 (_ bv0 32))) (bvsle vuscore4dollarskuscore52 V)) (bvslt xI xuscore4dollarskuscore47)) (= I1 (_ bv2 32))) (bvsgt xI (bvadd x (bvsdiv (bvmul v v) (bvmul (_ bv2 32) B))))) (bvsgt B (_ bv0 32))) (bvsge v (_ bv0 32))) (bvsle v V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsle (bvadd (bvmul ?v_1 t179uscore0dollarskuscore1) vuscore4dollarskuscore52) V)))))))
(check-sat)
(exit)
