(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: vsl.proof, node 2228 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun t10uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun a1uscore4dollarskuscore1 () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun ts2uscore1 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun v1uscore3dollarskuscore5 () (_ BitVec 32))
(declare-fun vsluscore6dollarskuscore5 () (_ BitVec 32))
(declare-fun xsluscore6dollarskuscore2 () (_ BitVec 32))
(declare-fun x1uscore3dollarskuscore4 () (_ BitVec 32))
(assert (not (exists ((ts2uscore1 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv2 32) B)) (?v_1 (bvmul vsluscore6dollarskuscore5 vsluscore6dollarskuscore5)) (?v_0 (bvadd (bvmul a1uscore4dollarskuscore1 t10uscore0dollarskuscore1) v1uscore3dollarskuscore5))) (=> (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts2uscore1) (bvsle ts2uscore1 t10uscore0dollarskuscore1)) (and (bvsge (bvadd (bvmul a1uscore4dollarskuscore1 ts2uscore1) v1uscore3dollarskuscore5) (_ bv0 32)) (bvsle ts2uscore1 ep))) (bvsge t10uscore0dollarskuscore1 (_ bv0 32))) (bvsle (bvneg B) a1uscore4dollarskuscore1)) (bvsle a1uscore4dollarskuscore1 A)) (bvsge xsluscore6dollarskuscore2 (bvadd (bvadd x1uscore3dollarskuscore4 (bvsdiv (bvsub (bvmul v1uscore3dollarskuscore5 v1uscore3dollarskuscore5) ?v_1) ?v_2)) (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep v1uscore3dollarskuscore5)))))) (bvsge v1uscore3dollarskuscore5 (_ bv0 32))) (bvsge vsluscore6dollarskuscore5 (_ bv0 32))) (bvsle v1uscore3dollarskuscore5 vsluscore6dollarskuscore5)) (bvsge A (_ bv0 32))) (bvsgt B (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (bvsle ?v_0 vsluscore6dollarskuscore5) (bvsge xsluscore6dollarskuscore2 (bvadd (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul a1uscore4dollarskuscore1 (bvmul t10uscore0dollarskuscore1 t10uscore0dollarskuscore1)) (bvmul (bvmul (_ bv2 32) t10uscore0dollarskuscore1) v1uscore3dollarskuscore5)) (bvmul (_ bv2 32) x1uscore3dollarskuscore4))) (bvsdiv (bvsub (bvmul ?v_0 ?v_0) ?v_1) ?v_2)))))))))
(check-sat)
(exit)
