(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: vsl.proof, node 2735 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun a1uscore6dollarskuscore0 () (_ BitVec 32))
(declare-fun ts3uscore0 () (_ BitVec 32))
(declare-fun xsluscore6dollarskuscore3 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun t12uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun vsluscore6dollarskuscore6 () (_ BitVec 32))
(declare-fun v1uscore3dollarskuscore6 () (_ BitVec 32))
(declare-fun x1uscore3dollarskuscore5 () (_ BitVec 32))
(assert (not (exists ((ts3uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts3uscore0) (bvsle ts3uscore0 t12uscore0dollarskuscore0)) (and (bvsge (bvadd (bvmul a1uscore6dollarskuscore0 ts3uscore0) v1uscore3dollarskuscore6) (_ bv0 32)) (bvsle ts3uscore0 ep))) (bvsge t12uscore0dollarskuscore0 (_ bv0 32))) (bvsle (bvneg B) a1uscore6dollarskuscore0)) (bvsle a1uscore6dollarskuscore0 A)) (bvsle a1uscore6dollarskuscore0 (bvsdiv (bvsub v1uscore3dollarskuscore6 vsluscore6dollarskuscore6) ep))) (bvsge x1uscore3dollarskuscore5 xsluscore6dollarskuscore3)) (bvsge v1uscore3dollarskuscore6 (_ bv0 32))) (bvsge vsluscore6dollarskuscore6 (_ bv0 32))) (bvsle v1uscore3dollarskuscore6 vsluscore6dollarskuscore6)) (bvsge A (_ bv0 32))) (bvsgt B (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsge (bvadd (bvmul a1uscore6dollarskuscore0 t12uscore0dollarskuscore0) v1uscore3dollarskuscore6) (_ bv0 32))))))
(check-sat)
(exit)
