(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 11781 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun ts9uscore2 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore8 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore16 () (_ BitVec 32))
(declare-fun t9uscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore16 () (_ BitVec 32))
(assert (not (exists ((ts9uscore2 (_ BitVec 32))) (=> (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts9uscore2) (bvsle ts9uscore2 t9uscore0dollarskuscore2)) (bvsle (bvadd ts9uscore2 xuscore2dollarskuscore8) (_ bv2 32))) (bvsge t9uscore0dollarskuscore2 (_ bv0 32))) (bvslt xuscore2dollarskuscore8 (_ bv2 32))) (= stuscore2dollarskuscore16 (_ bv1 32))) (bvsge yuscore2dollarskuscore16 (_ bv1 32))) (bvsle yuscore2dollarskuscore16 (_ bv12 32))) (bvsle yuscore2dollarskuscore16 (bvadd (_ bv10 32) xuscore2dollarskuscore8))) (or (= stuscore2dollarskuscore16 (_ bv3 32)) (bvsle (bvadd t9uscore0dollarskuscore2 yuscore2dollarskuscore16) (bvadd (_ bv10 32) (bvadd t9uscore0dollarskuscore2 xuscore2dollarskuscore8))))))))
(check-sat)
(exit)
