(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 12581 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun t10uscore0dollarskuscore2 () (_ BitVec 32))
(declare-fun ts10uscore2 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore19 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore11 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore19 () (_ BitVec 32))
(assert (not (exists ((ts10uscore2 (_ BitVec 32))) (=> (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts10uscore2) (bvsle ts10uscore2 t10uscore0dollarskuscore2)) (bvsle (bvadd ts10uscore2 xuscore2dollarskuscore11) (_ bv2 32))) (bvsge t10uscore0dollarskuscore2 (_ bv0 32))) (bvsgt xuscore2dollarskuscore11 (_ bv2 32))) (= stuscore2dollarskuscore19 (_ bv1 32))) (bvsge yuscore2dollarskuscore19 (_ bv1 32))) (bvsle yuscore2dollarskuscore19 (_ bv12 32))) (bvsle yuscore2dollarskuscore19 (bvadd (_ bv10 32) xuscore2dollarskuscore11))) (or (= stuscore2dollarskuscore19 (_ bv3 32)) (bvsle (bvadd t10uscore0dollarskuscore2 yuscore2dollarskuscore19) (bvadd (_ bv10 32) (bvadd t10uscore0dollarskuscore2 xuscore2dollarskuscore11))))))))
(check-sat)
(exit)
