(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 14909 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xuscore2dollarskuscore17 () (_ BitVec 32))
(declare-fun ts13uscore2 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore25 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore25 () (_ BitVec 32))
(declare-fun t13uscore0dollarskuscore2 () (_ BitVec 32))
(assert (not (exists ((ts13uscore2 (_ BitVec 32))) (=> (and (and (and (and (and (and (and (= stuscore2dollarskuscore25 (_ bv1 32)) (=> (and (bvsle (_ bv0 32) ts13uscore2) (bvsle ts13uscore2 t13uscore0dollarskuscore2)) (bvsge (bvadd (bvmul (bvneg (_ bv2 32)) ts13uscore2) yuscore2dollarskuscore25) (_ bv5 32)))) (bvsge t13uscore0dollarskuscore2 (_ bv0 32))) (bvslt yuscore2dollarskuscore25 (_ bv5 32))) (= stuscore2dollarskuscore25 (_ bv2 32))) (bvsge yuscore2dollarskuscore25 (_ bv1 32))) (bvsle yuscore2dollarskuscore25 (_ bv12 32))) (bvsle yuscore2dollarskuscore25 (bvadd (_ bv10 32) xuscore2dollarskuscore17))) (or (= stuscore2dollarskuscore25 (_ bv3 32)) (bvsle (bvadd (bvmul (bvneg (_ bv2 32)) t13uscore0dollarskuscore2) yuscore2dollarskuscore25) (bvadd (_ bv10 32) (bvadd t13uscore0dollarskuscore2 xuscore2dollarskuscore17))))))))
(check-sat)
(exit)
