(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 24597 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun t27uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore42 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore50 () (_ BitVec 32))
(declare-fun ts27uscore0 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore50 () (_ BitVec 32))
(assert (not (exists ((ts27uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts27uscore0) (bvsle ts27uscore0 t27uscore0dollarskuscore0)) (bvsge (bvadd (bvmul (bvneg (_ bv2 32)) ts27uscore0) yuscore2dollarskuscore50) (_ bv5 32))) (bvsge t27uscore0dollarskuscore0 (_ bv0 32))) (bvsgt yuscore2dollarskuscore50 (_ bv5 32))) (= stuscore2dollarskuscore50 (_ bv2 32))) (bvsge yuscore2dollarskuscore50 (_ bv1 32))) (bvsle yuscore2dollarskuscore50 (_ bv12 32))) (bvsge yuscore2dollarskuscore50 (bvsub (_ bv5 32) (bvmul (_ bv2 32) xuscore2dollarskuscore42)))) (bvsle yuscore2dollarskuscore50 (bvadd (_ bv10 32) xuscore2dollarskuscore42))) (bvsge (bvadd (bvmul (bvneg (_ bv2 32)) t27uscore0dollarskuscore0) yuscore2dollarskuscore50) (_ bv1 32))))))
(check-sat)
(exit)
