(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 28793 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun t16uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun ts16uscore0 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore57 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore67 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore67 () (_ BitVec 32))
(assert (not (exists ((ts16uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts16uscore0) (bvsle ts16uscore0 t16uscore0dollarskuscore0)) (bvsle (bvadd ts16uscore0 yuscore2dollarskuscore67) (_ bv10 32))) (bvsge t16uscore0dollarskuscore0 (_ bv0 32))) (bvsgt yuscore2dollarskuscore67 (_ bv10 32))) (= stuscore2dollarskuscore67 (_ bv0 32))) (bvsge yuscore2dollarskuscore67 (_ bv1 32))) (bvsle yuscore2dollarskuscore67 (_ bv12 32))) (bvsge yuscore2dollarskuscore67 (bvsub (_ bv5 32) (bvmul (_ bv2 32) xuscore2dollarskuscore57)))) (or (= stuscore2dollarskuscore67 (_ bv1 32)) (bvsge (bvadd t16uscore0dollarskuscore0 yuscore2dollarskuscore67) (_ bv1 32)))))))
(check-sat)
(exit)
