(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 29291 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun stuscore2dollarskuscore70 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore70 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore60 () (_ BitVec 32))
(declare-fun t21uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun ts21uscore0 () (_ BitVec 32))
(assert (not (exists ((ts21uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts21uscore0) (bvsle ts21uscore0 t21uscore0dollarskuscore0)) (bvsle (bvadd ts21uscore0 xuscore2dollarskuscore60) (_ bv2 32))) (bvsge t21uscore0dollarskuscore0 (_ bv0 32))) (bvsgt xuscore2dollarskuscore60 (_ bv2 32))) (= stuscore2dollarskuscore70 (_ bv3 32))) (bvsge yuscore2dollarskuscore70 (_ bv1 32))) (bvsle yuscore2dollarskuscore70 (_ bv12 32))) (bvsge yuscore2dollarskuscore70 (bvsub (_ bv5 32) (bvmul (_ bv2 32) xuscore2dollarskuscore60)))) (or (= stuscore2dollarskuscore70 (_ bv1 32)) (bvsge (bvadd (bvmul (bvneg (_ bv2 32)) t21uscore0dollarskuscore0) yuscore2dollarskuscore70) (_ bv1 32)))))))
(check-sat)
(exit)
