(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 31000 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xuscore2dollarskuscore70 () (_ BitVec 32))
(declare-fun t36uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore80 () (_ BitVec 32))
(declare-fun ts36uscore0 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore80 () (_ BitVec 32))
(assert (not (exists ((ts36uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts36uscore0) (bvsle ts36uscore0 t36uscore0dollarskuscore0)) (bvsle (bvadd ts36uscore0 xuscore2dollarskuscore70) (_ bv2 32))) (bvsge t36uscore0dollarskuscore0 (_ bv0 32))) (bvsgt xuscore2dollarskuscore70 (_ bv2 32))) (= stuscore2dollarskuscore80 (_ bv1 32))) (bvsge yuscore2dollarskuscore80 (_ bv1 32))) (bvsle yuscore2dollarskuscore80 (_ bv12 32))) (bvsge yuscore2dollarskuscore80 (bvsub (_ bv5 32) (bvmul (_ bv2 32) xuscore2dollarskuscore70)))) (bvsle yuscore2dollarskuscore80 (bvadd (_ bv10 32) xuscore2dollarskuscore70))) (bvsge (bvadd t36uscore0dollarskuscore0 yuscore2dollarskuscore80) (_ bv1 32))))))
(check-sat)
(exit)
