(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 8199 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun ts4uscore1 () (_ BitVec 32))
(declare-fun yuscore2dollarskuscore7 () (_ BitVec 32))
(declare-fun t4uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore7 () (_ BitVec 32))
(assert (not (exists ((ts4uscore1 (_ BitVec 32))) (=> (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts4uscore1) (bvsle ts4uscore1 t4uscore0dollarskuscore1)) (bvsge (bvadd (bvmul (bvneg (_ bv2 32)) ts4uscore1) yuscore2dollarskuscore7) (_ bv5 32))) (bvsge t4uscore0dollarskuscore1 (_ bv0 32))) (bvslt yuscore2dollarskuscore7 (_ bv5 32))) (= stuscore2dollarskuscore7 (_ bv2 32))) (bvsge yuscore2dollarskuscore7 (_ bv1 32))) (bvsle yuscore2dollarskuscore7 (_ bv12 32))) (or (or (= stuscore2dollarskuscore7 (_ bv1 32)) (= stuscore2dollarskuscore7 (_ bv3 32))) (bvsle (bvadd (bvmul (bvneg (_ bv2 32)) t4uscore0dollarskuscore1) yuscore2dollarskuscore7) (_ bv12 32)))))))
(check-sat)
(exit)
