(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: water_tank, node 9381 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun yuscore2dollarskuscore10 () (_ BitVec 32))
(declare-fun xuscore2dollarskuscore2 () (_ BitVec 32))
(declare-fun stuscore2dollarskuscore10 () (_ BitVec 32))
(declare-fun ts6uscore2 () (_ BitVec 32))
(declare-fun t6uscore0dollarskuscore2 () (_ BitVec 32))
(assert (not (exists ((ts6uscore2 (_ BitVec 32))) (=> (and (and (and (and (and (and (and (= stuscore2dollarskuscore10 (_ bv1 32)) (=> (and (bvsle (_ bv0 32) ts6uscore2) (bvsle ts6uscore2 t6uscore0dollarskuscore2)) (bvsle (bvadd ts6uscore2 yuscore2dollarskuscore10) (_ bv10 32)))) (bvsge t6uscore0dollarskuscore2 (_ bv0 32))) (bvslt yuscore2dollarskuscore10 (_ bv10 32))) (= stuscore2dollarskuscore10 (_ bv0 32))) (bvsge yuscore2dollarskuscore10 (_ bv1 32))) (bvsle yuscore2dollarskuscore10 (_ bv12 32))) (bvsle yuscore2dollarskuscore10 (bvadd (_ bv10 32) xuscore2dollarskuscore2))) (or (= stuscore2dollarskuscore10 (_ bv3 32)) (bvsle (bvadd t6uscore0dollarskuscore2 yuscore2dollarskuscore10) (bvadd (_ bv10 32) (bvadd t6uscore0dollarskuscore2 xuscore2dollarskuscore2))))))))
(check-sat)
(exit)
