(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun y2 () (_ BitVec 32))
(declare-fun y3 () (_ BitVec 32))
(declare-fun y4 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun y1 () (_ BitVec 32))
(assert (or (forall ((?y2 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (forall ((?y4 (_ BitVec 32))) (let ((?v_0 (bvmul (bvneg (_ bv44 32)) ?y4))) (or (and (bvsge (bvadd ?v_0 (bvmul (_ bv18 32) x1)) (bvneg (_ bv47 32))) (and (not (= (bvadd (bvmul (_ bv5 32) ?y4) (bvmul (bvneg (_ bv88 32)) x1)) (bvneg (_ bv85 32)))) (= (bvadd (bvmul (bvneg (_ bv56 32)) ?y4) (bvmul (_ bv36 32) x1)) (bvneg (_ bv42 32))))) (or (or (bvsgt (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv74 32)) ?y4) (bvmul (bvneg (_ bv44 32)) ?y3)) (bvmul (_ bv92 32) ?y2)) (bvmul (bvneg (_ bv72 32)) x1)) (bvneg (_ bv43 32))) (bvsge (bvadd (bvadd ?v_0 (bvmul (_ bv85 32) ?y3)) (bvmul (_ bv16 32) x1)) (bvneg (_ bv86 32)))) (or (bvslt (bvadd (bvadd (bvmul (bvneg (_ bv45 32)) ?y4) (bvmul (_ bv40 32) ?y3)) (bvmul (bvneg (_ bv17 32)) x1)) (bvneg (_ bv86 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?y3) (bvmul (bvneg (_ bv1 32)) ?y2)) (bvmul (bvneg (_ bv1 32)) x1)) (_ bv59 32))))))))) (forall ((?y1 (_ BitVec 32))) (exists ((?y3 (_ BitVec 32))) (and (or (exists ((?y4 (_ BitVec 32))) (and (bvsgt (bvmul (bvneg (_ bv3 32)) x1) (bvneg (_ bv31 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (_ bv61 32) ?y4) (bvmul (bvneg (_ bv70 32)) ?y3)) (bvmul (_ bv68 32) ?y1)) (bvmul (_ bv57 32) x1)) (_ bv0 32)))) (exists ((?y4 (_ BitVec 32))) (= (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv86 32)) ?y4) (bvmul (bvneg (_ bv60 32)) ?y3)) (bvmul (bvneg (_ bv68 32)) ?y1)) (bvmul (bvneg (_ bv47 32)) x1)) (bvneg (_ bv27 32))))) (exists ((?y4 (_ BitVec 32))) (or (bvsge (bvadd (bvmul (bvneg (_ bv60 32)) ?y4) (bvmul (bvneg (_ bv74 32)) ?y3)) (_ bv67 32)) (or (bvsle (bvadd (bvmul (_ bv67 32) ?y4) (bvmul (_ bv80 32) ?y1)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv18 32)) ?y4) (bvmul (_ bv1 32) ?y1)) (bvmul (bvneg (_ bv56 32)) x1)) (_ bv32 32))))))))))
(check-sat)
(exit)
