(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv6 32) ?x3)) (?v_1 (bvmul (_ bv17 32) ?x2))) (or (and (or (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv30 32)) ?x1) (bvmul (_ bv64 32) ?x2)) ?v_0) (_ bv69 32)) (or (bvsgt (bvadd ?v_1 (bvmul (_ bv47 32) ?x3)) (_ bv0 32)) (= (bvadd (bvmul (bvneg (_ bv29 32)) ?x1) (bvmul (bvneg (_ bv35 32)) ?x3)) (_ bv0 32)))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv28 32)) ?x1) (bvmul (_ bv6 32) ?x2)) ?v_0) (bvneg (_ bv36 32))) (and (bvslt (bvadd (bvmul (_ bv49 32) ?x1) (bvmul (bvneg (_ bv71 32)) ?x3)) (_ bv0 32)) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv11 32)) ?x1) (bvmul (bvneg (_ bv67 32)) ?x2)) (bvmul (bvneg (_ bv11 32)) ?x3)) (_ bv48 32))))) (or (and (bvsle (bvadd (bvmul (_ bv45 32) ?x1) (bvmul (bvneg (_ bv7 32)) ?x3)) (_ bv0 32)) (= (bvadd (bvadd (bvmul (_ bv42 32) ?x1) (bvmul (_ bv68 32) ?x2)) (bvmul (_ bv20 32) ?x3)) (_ bv45 32))) (and (and (bvsge (bvmul (bvneg (_ bv21 32)) ?x3) (_ bv70 32)) (not (= (bvadd (bvadd (bvmul (_ bv1 32) ?x1) ?v_1) (bvmul (bvneg (_ bv97 32)) ?x3)) (bvneg (_ bv39 32))))) (and (not (= (bvadd (bvmul (_ bv34 32) ?x1) (bvmul (_ bv63 32) ?x3)) (_ bv12 32))) (bvsge (bvadd (bvadd (bvmul (_ bv71 32) ?x1) (bvmul (_ bv43 32) ?x2)) (bvmul (bvneg (_ bv22 32)) ?x3)) (bvneg (_ bv80 32))))))))))))
(check-sat)
(exit)
