(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(assert (exists ((?x1 (_ BitVec 32))) (forall ((?x2 (_ BitVec 32))) (exists ((?x3 (_ BitVec 32))) (let ((?v_1 (bvmul (_ bv2 32) ?x2)) (?v_0 (bvmul (bvneg (_ bv41 32)) ?x3))) (and (or (or (or (bvsge (bvmul (bvneg (_ bv83 32)) ?x2) (bvneg (_ bv62 32))) (= (bvmul (_ bv44 32) ?x1) (bvneg (_ bv94 32)))) (bvsge (bvmul (_ bv53 32) ?x1) (bvneg (_ bv80 32)))) (or (or (not (= (bvadd (bvadd (bvmul (_ bv26 32) ?x1) (bvmul (_ bv56 32) ?x2)) (bvmul (_ bv28 32) ?x3)) (_ bv93 32))) (bvsgt (bvadd (bvadd (bvmul (bvneg (_ bv90 32)) ?x1) (bvmul (_ bv76 32) ?x2)) ?v_0) (_ bv0 32))) (and (not (= (bvadd (bvmul (bvneg (_ bv67 32)) ?x2) (bvmul (_ bv84 32) ?x3)) (_ bv3 32))) (bvsge (bvadd (bvmul (_ bv58 32) ?x2) ?v_0) (_ bv7 32))))) (or (or (or (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv92 32)) ?x1) ?v_1) (bvmul (_ bv27 32) ?x3)) (_ bv4 32)) (bvsgt (bvmul (_ bv16 32) ?x2) (_ bv0 32))) (or (bvsgt (bvadd (bvmul (bvneg (_ bv94 32)) ?x1) (bvmul (bvneg (_ bv59 32)) ?x2)) (_ bv57 32)) (= (bvadd (bvadd (bvmul (_ bv29 32) ?x1) (bvmul (bvneg (_ bv79 32)) ?x2)) (bvmul (bvneg (_ bv70 32)) ?x3)) (_ bv0 32)))) (or (and (bvsge (bvadd (bvadd (bvmul (bvneg (_ bv76 32)) ?x1) (bvmul (_ bv19 32) ?x2)) (bvmul (_ bv63 32) ?x3)) (bvneg (_ bv2 32))) (bvslt (bvadd (bvadd (bvmul (_ bv22 32) ?x1) ?v_1) (bvmul (_ bv65 32) ?x3)) (_ bv0 32))) (and (not (= (bvadd (bvmul (bvneg (_ bv100 32)) ?x2) (bvmul (bvneg (_ bv19 32)) ?x3)) (bvneg (_ bv12 32)))) (bvsge (bvadd (bvadd (bvmul (_ bv88 32) ?x1) (bvmul (_ bv75 32) ?x2)) (bvmul (bvneg (_ bv5 32)) ?x3)) (_ bv67 32)))))))))))
(check-sat)
(exit)
