(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "random")
(declare-fun x1 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(assert (forall ((?x1 (_ BitVec 32))) (exists ((?x2 (_ BitVec 32))) (forall ((?x3 (_ BitVec 32))) (exists ((?x4 (_ BitVec 32))) (let ((?v_2 (bvmul (_ bv53 32) ?x3)) (?v_4 (bvmul (_ bv69 32) ?x3)) (?v_1 (bvmul (_ bv100 32) ?x3)) (?v_0 (bvmul (bvneg (_ bv13 32)) ?x2)) (?v_5 (bvmul (bvneg (_ bv9 32)) ?x1)) (?v_3 (bvmul (bvneg (_ bv69 32)) ?x2))) (and (and (and (and (bvslt (bvadd (bvadd (bvadd (bvmul (_ bv26 32) ?x1) (bvmul (bvneg (_ bv94 32)) ?x2)) ?v_2) (bvmul (bvneg (_ bv86 32)) ?x4)) (bvneg (_ bv92 32))) (bvsge (bvadd (bvadd (bvadd (bvmul (_ bv20 32) ?x1) ?v_0) ?v_4) (bvmul (bvneg (_ bv18 32)) ?x4)) (_ bv85 32))) (or (= (bvadd (bvadd ?v_5 (bvmul (bvneg (_ bv78 32)) ?x2)) (bvmul (bvneg (_ bv45 32)) ?x3)) (_ bv9 32)) (= (bvadd (bvadd (bvmul (bvneg (_ bv68 32)) ?x1) ?v_0) (bvmul (_ bv91 32) ?x4)) (_ bv93 32)))) (or (or (bvsge (bvadd (bvadd (bvmul (_ bv47 32) ?x1) (bvmul (_ bv13 32) ?x2)) (bvmul (bvneg (_ bv17 32)) ?x4)) (bvneg (_ bv68 32))) (bvsge (bvadd ?v_1 (bvmul (bvneg (_ bv44 32)) ?x4)) (bvneg (_ bv59 32)))) (and (= (bvadd ?v_3 (bvmul (bvneg (_ bv75 32)) ?x4)) (bvneg (_ bv33 32))) (bvsle (bvadd (bvadd (bvadd (bvmul (bvneg (_ bv62 32)) ?x1) (bvmul (_ bv31 32) ?x2)) ?v_1) (bvmul (_ bv69 32) ?x4)) (_ bv12 32))))) (and (and (and (bvslt (bvmul (bvneg (_ bv22 32)) ?x4) (bvneg (_ bv8 32))) (bvsgt (bvmul (bvneg (_ bv45 32)) ?x2) (_ bv68 32))) (or (= (bvadd (bvadd (bvmul (bvneg (_ bv2 32)) ?x1) ?v_2) (bvmul (_ bv90 32) ?x4)) (bvneg (_ bv99 32))) (bvsle ?v_3 (_ bv54 32)))) (or (bvsle (bvadd ?v_4 (bvmul (_ bv85 32) ?x4)) (_ bv74 32)) (or (bvslt (bvadd ?v_5 (bvmul (_ bv58 32) ?x4)) (_ bv19 32)) (bvsgt (bvadd (bvadd (bvmul (_ bv84 32) ?x1) (bvmul (_ bv63 32) ?x2)) (bvmul (_ bv57 32) ?x3)) (bvneg (_ bv82 32)))))))))))))
(check-sat)
(exit)
