(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b31 () Bool)
(declare-fun bool.b2 () Bool)
(declare-fun bool.b0 () Bool)
(declare-fun bool.b1 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_0 (bvadd x4 (bvmul (bvsdiv (bvneg (_ bv5 32)) (_ bv16 32)) ?lambda)))) (let ((?v_1 (bvmul (bvneg (_ bv1 32)) ?v_0)) (?v_2 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambda))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_9 (not bool.b31)) (?v_17 (not bool.b0))) (let ((?v_5 (and ?v_17 bool.b1))) (let ((?v_8 (and bool.b2 ?v_5)) (?v_10 (not bool.b2)) (?v_18 (not bool.b1))) (let ((?v_12 (and bool.b0 ?v_18))) (let ((?v_14 (and ?v_10 ?v_12)) (?v_16 (and bool.b2 ?v_12)) (?v_7 (bvmul (_ bv1 32) (bvadd x4 (bvmul (bvsdiv (bvneg (_ bv5 32)) (_ bv16 32)) ?lambdaprime))))) (let ((?v_4 (not (bvsle ?v_7 (_ bv15 32)))) (?v_3 (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambdaprime))))) (let ((?v_6 (not (bvsle ?v_3 (bvneg (_ bv235 32))))) (?v_11 (not (bvsle ?v_7 (_ bv0 32)))) (?v_13 (not (bvsle ?v_3 (bvsdiv (bvneg (_ bv475 32)) (_ bv2 32)))))) (let ((?v_15 (not (and ?v_11 (not (bvsle ?v_3 (bvneg (_ bv335 32)))))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (bvsdiv (_ bv1 32) (_ bv10 32)) ?lambdaprime))) (bvneg (_ bv3 32)))) (and (and (and (and (and (and (and (not (and (not (and ?v_4 ?v_6)) (and ?v_9 ?v_8))) (not (and (not (and (not (bvsle ?v_3 (bvsdiv (bvneg (_ bv445 32)) (_ bv2 32)))) ?v_4)) (and bool.b31 (and ?v_10 ?v_5))))) (not (and (not (and ?v_6 ?v_11)) (and bool.b31 ?v_8)))) (not (and (not (and ?v_4 ?v_13)) (and ?v_9 ?v_14)))) (not (and ?v_15 (and ?v_9 ?v_16)))) (not (and (not (and ?v_11 ?v_13)) (and bool.b31 ?v_14)))) (not (and ?v_15 (and bool.b31 ?v_16)))) (not (and (not (and ?v_11 (not (bvsle ?v_3 (bvneg (_ bv340 32)))))) (and ?v_17 ?v_18)))))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and (bvsle ?v_1 (bvneg (_ bv20 32))) (and (not (bvsle (bvadd ?v_2 (bvmul (bvsdiv (bvneg (_ bv8 32)) (_ bv5 32)) ?v_0)) (_ bv195 32))) (bvsle (bvadd ?v_1 (bvmul (bvsdiv (_ bv25 32) (_ bv8 32)) (bvadd x5 (bvmul (bvsdiv (_ bv1 32) (_ bv10 32)) ?lambda)))) (bvsdiv (bvneg (_ bv85 32)) (_ bv8 32)))))) (not (and (not (bvsle ?v_2 (_ bv242 32))) (bvsle ?v_1 (bvneg (_ bv15 32)))))))))))
(check-sat)
(exit)
