(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b31 () Bool)
(declare-fun bool.b2 () Bool)
(declare-fun bool.b0 () Bool)
(declare-fun bool.b1 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_0 (bvadd x4 (bvmul (_ bv0 32) ?lambda)))) (let ((?v_2 (bvmul (bvneg (_ bv1 32)) ?v_0)) (?v_1 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambda))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_4 (not bool.b31)) (?v_10 (not bool.b2)) (?v_16 (not bool.b0))) (let ((?v_5 (and ?v_16 bool.b1))) (let ((?v_7 (and ?v_10 ?v_5)) (?v_9 (and bool.b2 ?v_5)) (?v_17 (not bool.b1))) (let ((?v_11 (and bool.b0 ?v_17))) (let ((?v_13 (and ?v_10 ?v_11)) (?v_15 (and bool.b2 ?v_11)) (?v_3 (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambdaprime))))) (let ((?v_6 (bvsle ?v_3 (bvsdiv (bvneg (_ bv445 32)) (_ bv2 32)))) (?v_8 (bvsle ?v_3 (bvneg (_ bv235 32)))) (?v_12 (bvsle ?v_3 (bvsdiv (bvneg (_ bv475 32)) (_ bv2 32)))) (?v_14 (bvsle ?v_3 (bvneg (_ bv335 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (bvsdiv (_ bv1 32) (_ bv10 32)) ?lambdaprime))) (bvneg (_ bv3 32)))) (and (and (and (and (and (and (and (and (not (and ?v_6 (and ?v_4 ?v_7))) (not (and ?v_8 (and ?v_4 ?v_9)))) (not (and ?v_6 (and bool.b31 ?v_7)))) (not (and ?v_8 (and bool.b31 ?v_9)))) (not (and ?v_12 (and ?v_4 ?v_13)))) (not (and ?v_14 (and ?v_4 ?v_15)))) (not (and ?v_12 (and bool.b31 ?v_13)))) (not (and ?v_14 (and bool.b31 ?v_15)))) (not (and (bvsle ?v_3 (bvneg (_ bv340 32))) (and ?v_16 ?v_17)))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (not (and (bvsle ?v_2 (bvneg (_ bv20 32))) (not (bvsle (bvadd ?v_1 (bvmul (bvsdiv (bvneg (_ bv8 32)) (_ bv5 32)) ?v_0)) (_ bv195 32))))) (not (and (not (bvsle ?v_1 (_ bv242 32))) (bvsle ?v_2 (bvneg (_ bv15 32)))))))))))
(check-sat)
(exit)
