(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b31 () Bool)
(declare-fun bool.b2 () Bool)
(declare-fun bool.b0 () Bool)
(declare-fun bool.b1 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_7 (not bool.b2)) (?v_8 (and (not bool.b0) bool.b1)) (?v_0 (bvadd x4 (bvmul (_ bv0 32) ?lambda)))) (let ((?v_2 (bvmul (bvneg (_ bv1 32)) ?v_0))) (let ((?v_5 (bvsle ?v_2 (bvneg (_ bv20 32)))) (?v_1 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambda))))) (let ((?v_9 (bvadd ?v_1 (bvmul (bvsdiv (bvneg (_ bv8 32)) (_ bv5 32)) ?v_0)))) (let ((?v_6 (bvsle ?v_9 (_ bv195 32))) (?v_4 (bvsle ?v_1 (_ bv242 32))) (?v_3 (bvsle ?v_2 (bvneg (_ bv15 32)))) (?v_10 (bvmul (bvneg (_ bv5 32)) (bvadd x5 (bvmul (bvsdiv (_ bv1 32) (_ bv10 32)) ?lambda))))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_12 (not bool.b31)) (?v_22 (not bool.b0))) (let ((?v_14 (and ?v_7 ?v_8)) (?v_16 (and bool.b2 ?v_8)) (?v_23 (not bool.b1))) (let ((?v_17 (and bool.b0 ?v_23))) (let ((?v_19 (and ?v_7 ?v_17)) (?v_21 (and bool.b2 ?v_17)) (?v_11 (bvmul (bvneg (_ bv1 32)) (bvadd x3 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) ?lambdaprime))))) (let ((?v_13 (bvsle ?v_11 (bvsdiv (bvneg (_ bv445 32)) (_ bv2 32)))) (?v_15 (bvsle ?v_11 (bvneg (_ bv235 32)))) (?v_18 (bvsle ?v_11 (bvsdiv (bvneg (_ bv475 32)) (_ bv2 32)))) (?v_20 (bvsle ?v_11 (bvneg (_ bv335 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (bvsdiv (_ bv1 32) (_ bv10 32)) ?lambdaprime))) (bvneg (_ bv3 32)))) (and (and (and (and (and (and (and (and (not (and ?v_13 (and ?v_12 ?v_14))) (not (and ?v_15 (and ?v_12 ?v_16)))) (not (and ?v_13 (and bool.b31 ?v_14)))) (not (and ?v_15 (and bool.b31 ?v_16)))) (not (and ?v_18 (and ?v_12 ?v_19)))) (not (and ?v_20 (and ?v_12 ?v_21)))) (not (and ?v_18 (and bool.b31 ?v_19)))) (not (and ?v_20 (and bool.b31 ?v_21)))) (not (and (bvsle ?v_11 (bvneg (_ bv340 32))) (and ?v_22 ?v_23))))))))))))) (bvslt ?lambda (_ bv0 32))) (and (and (not (and ?v_5 (not ?v_6))) (not (and (not ?v_4) ?v_3))) (and (not (and ?v_3 (and ?v_4 (and (not (bvsle (bvadd ?v_1 ?v_10) (_ bv227 32))) (and (not ?v_8) (not (and ?v_7 (and bool.b0 (not bool.b1))))))))) (not (and ?v_5 (and ?v_6 (not (and ?v_5 (and ?v_6 (not (and (not (and ?v_7 ?v_8)) (not (bvsle (bvadd ?v_9 ?v_10) (_ bv180 32)))))))))))))))))))))
(check-sat)
(exit)
