(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv1 32) ?lambdaprime)) (?v_3 (not bool.b22)) (?v_5 (not bool.b7)) (?v_6 (not bool.b5))) (let ((?v_4 (and ?v_6 (not bool.b6))) (?v_1 (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x3 ?v_0)) (bvneg (_ bv20 32))))) (?v_2 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv60 32) ?lambdaprime))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 ?v_0)) (bvneg (_ bv10 32)))) (and (and (not (and (not (and ?v_1 (not (bvsle ?v_2 (bvneg (_ bv4100 32)))))) (and ?v_3 (and ?v_5 ?v_4)))) (not (and (not (and ?v_1 (not (bvsle ?v_2 (bvneg (_ bv4500 32)))))) (and ?v_3 (and bool.b7 ?v_4))))) (not (and (not (and ?v_1 (not (bvsle ?v_2 (bvneg (_ bv4910 32)))))) (and ?v_3 (and ?v_5 (and ?v_6 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not bool.b7) (and bool.b5 (not bool.b6))))))))
(check-sat)
(exit)
