(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b8 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b14 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_8 (not bool.b5)) (?v_1 (bvadd x5 (bvmul (_ bv1 32) ?lambda))) (?v_7 (bvadd x4 (bvmul (_ bv60 32) ?lambda)))) (let ((?v_9 (and (not bool.b12) (and (and (not bool.b8) (not bool.b10)) (and ?v_8 (not bool.b14))))) (?v_11 (bvmul (_ bv1 32) ?v_7))) (let ((?v_12 (not (and (not (and ?v_8 bool.b23)) (not ?v_9)))) (?v_0 (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambda))) (?v_4 (bvmul (bvneg (_ bv1 32)) ?v_1))) (let ((?v_2 (bvmul (_ bv1 32) ?v_0))) (let ((?v_10 (bvsle (bvadd ?v_2 (bvmul (_ bv1 32) ?v_1)) (_ bv10 32))) (?v_5 (bvsle ?v_2 (_ bv0 32))) (?v_3 (bvadd ?v_2 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_7))) (?v_6 (bvsle ?v_4 (bvneg (_ bv10 32))))) (let ((?v_15 (not (and (not (and (not ?v_5) (not (and (not (bvsle ?v_3 (_ bv723 32))) (and (bvsle ?v_3 (_ bv1200 32)) (and ?v_6 (and (bvsle ?v_2 (_ bv20 32)) (and (not bool.b23) ?v_9)))))))) (not (and ?v_5 (not (and ?v_6 (and (not (bvsle ?v_11 (_ bv4820 32))) ?v_12)))))))) (?v_13 (bvadd ?v_11 (bvmul (bvneg (_ bv60 32)) ?v_1)))) (let ((?v_14 (bvsle ?v_13 (_ bv4220 32)))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_20 (not bool.b22)) (?v_22 (not bool.b7)) (?v_21 (and ?v_8 (not bool.b6))) (?v_16 (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvneg (_ bv1 32)) ?lambdaprime))))) (let ((?v_17 (not (bvsle ?v_16 (_ bv40 32)))) (?v_19 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv60 32) ?lambdaprime)))) (?v_18 (not (bvsle ?v_16 (_ bv33 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (not (and (not (and ?v_17 (and (not (bvsle ?v_19 (bvneg (_ bv4100 32)))) ?v_18))) (and ?v_20 (and ?v_22 ?v_21)))) (not (and (not (and ?v_17 (and ?v_18 (not (bvsle ?v_19 (bvneg (_ bv4500 32))))))) (and ?v_20 (and bool.b7 ?v_21))))) (not (and (not (and ?v_17 (and ?v_18 (not (bvsle ?v_19 (bvneg (_ bv4910 32))))))) (and ?v_20 (and ?v_22 (and ?v_8 bool.b6)))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and (not bool.b7) (not (and bool.b5 (not bool.b6))))) (not (and bool.b7 (not (and bool.b6 (and (bvsle (bvadd (bvmul (bvneg (_ bv1 32)) ?v_0) ?v_4) (bvneg (_ bv10 32))) (and (not (and (not ?v_10) ?v_15)) (not (and ?v_10 (not (and (bvsle ?v_13 (_ bv7400 32)) (and (not (and (not ?v_12) (not ?v_14))) (not (and ?v_14 ?v_15))))))))))))))))))))))))))
(check-sat)
(exit)
