(set-logic BV)
(set-info :source |
   Scholl, Christoph; Disch, Stefan; Pigorsch, Florian and Kupferschmid, 
   Stefan; Using an SMT Solver and Craig Interpolation to Detect and Remove 
   Redundant Linear Constraints in Representations of Non-Convex Polyhedra.
   Proceedings of 6th International Workshop on Satisfiability Modulo
   Theories, Princeton, USA, July 2008.
   <http://abs.informatik.uni-freiburg.de/smtbench/>
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun lambda () (_ BitVec 32))
(declare-fun lambdaprime () (_ BitVec 32))
(declare-fun x5 () (_ BitVec 32))
(declare-fun x4 () (_ BitVec 32))
(declare-fun x3 () (_ BitVec 32))
(declare-fun bool.b22 () Bool)
(declare-fun bool.b7 () Bool)
(declare-fun bool.b5 () Bool)
(declare-fun bool.b6 () Bool)
(declare-fun bool.b23 () Bool)
(declare-fun bool.b12 () Bool)
(declare-fun bool.b8 () Bool)
(declare-fun bool.b10 () Bool)
(declare-fun bool.b14 () Bool)
(assert (forall ((?lambda (_ BitVec 32))) (let ((?v_7 (not bool.b5)) (?v_1 (bvadd x5 (bvmul (_ bv1 32) ?lambda))) (?v_6 (bvadd x4 (bvmul (_ bv20 32) ?lambda)))) (let ((?v_8 (and (not bool.b12) (and (and (not bool.b8) (not bool.b10)) (and ?v_7 (not bool.b14))))) (?v_10 (bvmul (_ bv1 32) ?v_6))) (let ((?v_11 (not (and (not (and ?v_7 bool.b23)) (not ?v_8)))) (?v_0 (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv5 32)) ?lambda)))) (let ((?v_2 (bvmul (_ bv1 32) ?v_0))) (let ((?v_9 (bvsle (bvadd ?v_2 (bvmul (bvsdiv (_ bv1 32) (_ bv5 32)) ?v_1)) (_ bv2 32))) (?v_4 (bvsle ?v_2 (_ bv0 32))) (?v_3 (bvadd ?v_2 (bvmul (bvsdiv (_ bv3 32) (_ bv20 32)) ?v_6))) (?v_5 (bvsle (bvmul (bvneg (_ bv1 32)) ?v_1) (bvneg (_ bv10 32))))) (let ((?v_14 (not (and (not (and (not ?v_4) (not (and (not (bvsle ?v_3 (_ bv723 32))) (and (bvsle ?v_3 (_ bv1200 32)) (and ?v_5 (and (bvsle ?v_2 (_ bv20 32)) (and (not bool.b23) ?v_8)))))))) (not (and ?v_4 (not (and ?v_5 (and (not (bvsle ?v_10 (_ bv4820 32))) ?v_11)))))))) (?v_12 (bvadd ?v_10 (bvmul (bvneg (_ bv20 32)) ?v_1)))) (let ((?v_13 (bvsle ?v_12 (_ bv4620 32)))) (or (or (exists ((?lambdaprime (_ BitVec 32))) (let ((?v_17 (not bool.b22)) (?v_19 (not bool.b7)) (?v_18 (and ?v_7 (not bool.b6))) (?v_16 (bvmul (bvneg (_ bv1 32)) (bvadd x4 (bvmul (_ bv20 32) ?lambdaprime)))) (?v_15 (not (bvsle (bvmul (_ bv1 32) (bvadd x3 (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv5 32)) ?lambdaprime))) (_ bv30 32))))) (and (and (bvsle (_ bv0 32) ?lambdaprime) (bvsle ?lambdaprime ?lambda)) (not (and (not (bvsle (bvmul (bvneg (_ bv1 32)) (bvadd x5 (bvmul (_ bv1 32) ?lambdaprime))) (bvneg (_ bv10 32)))) (and (and (not (and (not (and (not (bvsle ?v_16 (bvneg (_ bv4100 32)))) ?v_15)) (and ?v_17 (and ?v_19 ?v_18)))) (not (and (not (and ?v_15 (not (bvsle ?v_16 (bvneg (_ bv4500 32)))))) (and ?v_17 (and bool.b7 ?v_18))))) (not (and (not (and ?v_15 (not (bvsle ?v_16 (bvneg (_ bv4910 32)))))) (and ?v_17 (and ?v_19 (and ?v_7 bool.b6))))))))))) (bvslt ?lambda (_ bv0 32))) (not (and (not bool.b22) (and (not (and (not bool.b7) (not (and bool.b5 (not bool.b6))))) (not (and bool.b7 (not (and bool.b6 (and (bvsle (bvadd (bvmul (bvneg (_ bv1 32)) ?v_0) (bvmul (bvsdiv (bvneg (_ bv1 32)) (_ bv5 32)) ?v_1)) (bvneg (_ bv2 32))) (and (not (and (not ?v_9) ?v_14)) (not (and ?v_9 (not (and (bvsle ?v_12 (_ bv7800 32)) (and (not (and (not ?v_11) (not ?v_13))) (not (and ?v_13 ?v_14))))))))))))))))))))))))))
(check-sat)
(exit)
