(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: binary_driver-2007-10-09, node 14895 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun zuscore2dollarskuscore11 () (_ BitVec 32))
(declare-fun ts8uscore0 () (_ BitVec 32))
(declare-fun d () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun muscore2dollarskuscore11 () (_ BitVec 32))
(declare-fun m () (_ BitVec 32))
(declare-fun t8uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun duscore2dollarskuscore11 () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore11 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun stateuscore2dollarskuscore6 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun z () (_ BitVec 32))
(declare-fun vdesuscore2dollarskuscore10 () (_ BitVec 32))
(declare-fun amax () (_ BitVec 32))
(assert (not (exists ((ts8uscore0 (_ BitVec 32))) (let ((?v_1 (bvneg b)) (?v_0 (bvmul (_ bv2 32) b)) (?v_3 (bvmul duscore2dollarskuscore11 duscore2dollarskuscore11))) (let ((?v_2 (bvadd (bvmul ?v_1 t8uscore0dollarskuscore0) vuscore2dollarskuscore11))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts8uscore0) (bvsle ts8uscore0 t8uscore0dollarskuscore0)) (and (bvsge (bvadd (bvmul ?v_1 ts8uscore0) vuscore2dollarskuscore11) (_ bv0 32)) (bvsle ts8uscore0 ep))) (bvsge t8uscore0dollarskuscore0 (_ bv0 32))) (= stateuscore2dollarskuscore6 (_ bv1 32))) (bvsle vuscore2dollarskuscore11 vdesuscore2dollarskuscore10)) (bvsle (bvsub (bvmul vuscore2dollarskuscore11 vuscore2dollarskuscore11) ?v_3) (bvmul ?v_0 (bvsub muscore2dollarskuscore11 zuscore2dollarskuscore11)))) (bvsge vuscore2dollarskuscore11 (_ bv0 32))) (bvsge duscore2dollarskuscore11 (_ bv0 32))) (bvsle (bvsub (bvmul v v) (bvmul d d)) (bvmul ?v_0 (bvsub m z)))) (bvsge v (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsgt amax (_ bv0 32))) (bvsge d (_ bv0 32))) (bvsle (bvsub (bvmul ?v_2 ?v_2) ?v_3) (bvmul ?v_0 (bvsub muscore2dollarskuscore11 (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul ?v_1 (bvmul t8uscore0dollarskuscore0 t8uscore0dollarskuscore0)) (bvmul (bvmul (_ bv2 32) t8uscore0dollarskuscore0) vuscore2dollarskuscore11)) (bvmul (_ bv2 32) zuscore2dollarskuscore11))))))))))))
(check-sat)
(exit)
