(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: binary_driver-2007-10-09, node 14896 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun zuscore2dollarskuscore12 () (_ BitVec 32))
(declare-fun d () (_ BitVec 32))
(declare-fun ts8uscore1 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun muscore2dollarskuscore12 () (_ BitVec 32))
(declare-fun m () (_ BitVec 32))
(declare-fun duscore2dollarskuscore12 () (_ BitVec 32))
(declare-fun t8uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun vuscore2dollarskuscore12 () (_ BitVec 32))
(declare-fun v () (_ BitVec 32))
(declare-fun stateuscore2dollarskuscore7 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun z () (_ BitVec 32))
(declare-fun amax () (_ BitVec 32))
(declare-fun vdesuscore2dollarskuscore11 () (_ BitVec 32))
(assert (not (exists ((ts8uscore1 (_ BitVec 32))) (let ((?v_1 (bvneg b)) (?v_0 (bvmul (_ bv2 32) b))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts8uscore1) (bvsle ts8uscore1 t8uscore0dollarskuscore1)) (and (bvsge (bvadd (bvmul ?v_1 ts8uscore1) vuscore2dollarskuscore12) (_ bv0 32)) (bvsle ts8uscore1 ep))) (bvsge t8uscore0dollarskuscore1 (_ bv0 32))) (= stateuscore2dollarskuscore7 (_ bv1 32))) (bvsle vuscore2dollarskuscore12 vdesuscore2dollarskuscore11)) (bvsle (bvsub (bvmul vuscore2dollarskuscore12 vuscore2dollarskuscore12) (bvmul duscore2dollarskuscore12 duscore2dollarskuscore12)) (bvmul ?v_0 (bvsub muscore2dollarskuscore12 zuscore2dollarskuscore12)))) (bvsge vuscore2dollarskuscore12 (_ bv0 32))) (bvsge duscore2dollarskuscore12 (_ bv0 32))) (bvsle (bvsub (bvmul v v) (bvmul d d)) (bvmul ?v_0 (bvsub m z)))) (bvsge v (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsgt b (_ bv0 32))) (bvsgt amax (_ bv0 32))) (bvsge d (_ bv0 32))) (bvsge (bvadd (bvmul ?v_1 t8uscore0dollarskuscore1) vuscore2dollarskuscore12) (_ bv0 32)))))))
(check-sat)
(exit)
