(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: dynamic_reaction_to_static_bounds.proof, node 849 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun Tr () (_ BitVec 32))
(declare-fun t1uscore0dollarskuscore3 () (_ BitVec 32))
(declare-fun a2uscore1dollarskuscore3 () (_ BitVec 32))
(declare-fun b () (_ BitVec 32))
(declare-fun ts0uscore3 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun v2 () (_ BitVec 32))
(assert (not (exists ((ts0uscore3 (_ BitVec 32))) (=> (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts0uscore3) (bvsle ts0uscore3 t1uscore0dollarskuscore3)) (and (bvslt ts0uscore3 Tr) (bvsge (bvadd (bvmul a2uscore1dollarskuscore3 ts0uscore3) v2) (_ bv0 32)))) (bvsge t1uscore0dollarskuscore3 (_ bv0 32))) (bvsle (bvneg B) a2uscore1dollarskuscore3)) (bvsle a2uscore1dollarskuscore3 A)) (bvsge B b)) (bvsgt b (_ bv0 32))) (bvsge v2 (_ bv0 32))) (bvsge A (_ bv0 32))) (bvsgt Tr (_ bv0 32))) (bvsle v2 (bvadd (bvadd (bvmul a2uscore1dollarskuscore3 t1uscore0dollarskuscore3) v2) (bvmul B Tr)))))))
(check-sat)
(exit)
