(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: intersection-example-simple.proof, node 695194 For more info see: @see "Sarah M. Loos and Andre Platzer. Safe intersections: At the crossing of hybrid systems and verification. In Kyongsu Yi, editor, 14th International IEEE Conference on Intelligent Transportation Systems, ITSC 2011, Washington, DC, USA, Proceedings. 2011."
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun I2uscore2dollarskuscore830 () (_ BitVec 32))
(declare-fun v1 () (_ BitVec 32))
(declare-fun t3338uscore0 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun I1uscore2dollarskuscore830 () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun v2 () (_ BitVec 32))
(declare-fun v2uscore2dollarskuscore830 () (_ BitVec 32))
(declare-fun I1 () (_ BitVec 32))
(declare-fun I2 () (_ BitVec 32))
(declare-fun x2 () (_ BitVec 32))
(declare-fun v1uscore2dollarskuscore830 () (_ BitVec 32))
(declare-fun x1uscore2dollarskuscore570 () (_ BitVec 32))
(declare-fun x1 () (_ BitVec 32))
(declare-fun ts3338uscore0 () (_ BitVec 32))
(declare-fun xI1 () (_ BitVec 32))
(declare-fun xI2 () (_ BitVec 32))
(declare-fun V () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun x2uscore2dollarskuscore587 () (_ BitVec 32))
(assert (not (exists ((ts3338uscore0 (_ BitVec 32))) (let ((?v_0 (= I2uscore2dollarskuscore830 (_ bv2 32)))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (= v2uscore2dollarskuscore830 (_ bv0 32)) (= v1uscore2dollarskuscore830 (_ bv0 32))) (= I1uscore2dollarskuscore830 (_ bv0 32))) ?v_0) (= I1 (_ bv2 32))) (bvsgt xI1 (bvadd x1 (bvsdiv (bvmul v1 v1) (bvmul (_ bv2 32) B))))) (= I2 (_ bv2 32))) (bvslt xI2 x2)) (bvsgt B (_ bv0 32))) (bvsge v1 (_ bv0 32))) (bvsle v1 V)) (bvsge v2 (_ bv0 32))) (bvsle v2 V)) (bvsge A (_ bv0 32))) (bvsgt V (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (or (= xI2 x2uscore2dollarskuscore587) (= xI1 x1uscore2dollarskuscore570)) (=> (bvsge t3338uscore0 (_ bv0 32)) (=> (=> (and (bvsle (_ bv0 32) ts3338uscore0) (bvsle ts3338uscore0 t3338uscore0)) (and (and (and (and (bvsge v1uscore2dollarskuscore830 (_ bv0 32)) (bvsle v1uscore2dollarskuscore830 V)) (bvsge v2uscore2dollarskuscore830 (_ bv0 32))) (bvsle v2uscore2dollarskuscore830 V)) (bvsle (bvadd ts3338uscore0 (_ bv0 32)) ep))) (or (= (_ bv1 32) (_ bv2 32)) ?v_0)))))))))
(check-sat)
(exit)
