(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: moving-point, node 2370 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun xuscore2dollarskuscore1 () (_ BitVec 32))
(declare-fun c () (_ BitVec 32))
(declare-fun ts2uscore0 () (_ BitVec 32))
(declare-fun t2uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun x () (_ BitVec 32))
(assert (not (exists ((ts2uscore0 (_ BitVec 32))) (let ((?v_0 (bvmul (_ bv4 32) c))) (let ((?v_1 (bvmul ?v_0 ?v_0)) (?v_2 (bvadd (bvmul (_ bv4 32) t2uscore0dollarskuscore0) xuscore2dollarskuscore1))) (=> (and (and (and (=> (and (bvsle (_ bv0 32) ts2uscore0) (bvsle ts2uscore0 t2uscore0dollarskuscore0)) (bvsle ts2uscore0 c)) (bvsge t2uscore0dollarskuscore0 (_ bv0 32))) (bvsle (bvmul xuscore2dollarskuscore1 xuscore2dollarskuscore1) ?v_1)) (bvslt (bvmul x x) ?v_1)) (or (bvsgt xuscore2dollarskuscore1 (_ bv0 32)) (bvsle (bvmul ?v_2 ?v_2) ?v_1))))))))
(check-sat)
(exit)
