(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: vsl.proof, node 2202 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun a1uscore4dollarskuscore0 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun ts2uscore0 () (_ BitVec 32))
(declare-fun vsluscore6dollarskuscore4 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun v1uscore3dollarskuscore4 () (_ BitVec 32))
(declare-fun xsluscore6dollarskuscore1 () (_ BitVec 32))
(declare-fun x1uscore3dollarskuscore3 () (_ BitVec 32))
(declare-fun t10uscore0dollarskuscore0 () (_ BitVec 32))
(assert (not (exists ((ts2uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts2uscore0) (bvsle ts2uscore0 t10uscore0dollarskuscore0)) (and (bvsge (bvadd (bvmul a1uscore4dollarskuscore0 ts2uscore0) v1uscore3dollarskuscore4) (_ bv0 32)) (bvsle ts2uscore0 ep))) (bvsge t10uscore0dollarskuscore0 (_ bv0 32))) (bvsle (bvneg B) a1uscore4dollarskuscore0)) (bvsle a1uscore4dollarskuscore0 A)) (bvsge xsluscore6dollarskuscore1 (bvadd (bvadd x1uscore3dollarskuscore3 (bvsdiv (bvsub (bvmul v1uscore3dollarskuscore4 v1uscore3dollarskuscore4) (bvmul vsluscore6dollarskuscore4 vsluscore6dollarskuscore4)) (bvmul (_ bv2 32) B))) (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep v1uscore3dollarskuscore4)))))) (bvsge v1uscore3dollarskuscore4 (_ bv0 32))) (bvsge vsluscore6dollarskuscore4 (_ bv0 32))) (bvsle v1uscore3dollarskuscore4 vsluscore6dollarskuscore4)) (bvsge A (_ bv0 32))) (bvsgt B (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsge (bvadd (bvmul a1uscore4dollarskuscore0 t10uscore0dollarskuscore0) v1uscore3dollarskuscore4) (_ bv0 32))))))
(check-sat)
(exit)
