(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: vsl.proof, node 2761 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun x1uscore3dollarskuscore6 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun ts3uscore1 () (_ BitVec 32))
(declare-fun a1uscore6dollarskuscore1 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun xsluscore6dollarskuscore4 () (_ BitVec 32))
(declare-fun v1uscore3dollarskuscore7 () (_ BitVec 32))
(declare-fun t12uscore0dollarskuscore1 () (_ BitVec 32))
(declare-fun vsluscore6dollarskuscore7 () (_ BitVec 32))
(assert (not (exists ((ts3uscore1 (_ BitVec 32))) (let ((?v_0 (bvadd (bvmul a1uscore6dollarskuscore1 t12uscore0dollarskuscore1) v1uscore3dollarskuscore7))) (=> (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts3uscore1) (bvsle ts3uscore1 t12uscore0dollarskuscore1)) (and (bvsge (bvadd (bvmul a1uscore6dollarskuscore1 ts3uscore1) v1uscore3dollarskuscore7) (_ bv0 32)) (bvsle ts3uscore1 ep))) (bvsge t12uscore0dollarskuscore1 (_ bv0 32))) (bvsle (bvneg B) a1uscore6dollarskuscore1)) (bvsle a1uscore6dollarskuscore1 A)) (bvsle a1uscore6dollarskuscore1 (bvsdiv (bvsub v1uscore3dollarskuscore7 vsluscore6dollarskuscore7) ep))) (bvsge x1uscore3dollarskuscore6 xsluscore6dollarskuscore4)) (bvsge v1uscore3dollarskuscore7 (_ bv0 32))) (bvsge vsluscore6dollarskuscore7 (_ bv0 32))) (bvsle v1uscore3dollarskuscore7 vsluscore6dollarskuscore7)) (bvsge A (_ bv0 32))) (bvsgt B (_ bv0 32))) (bvsgt ep (_ bv0 32))) (or (bvsle ?v_0 vsluscore6dollarskuscore7) (bvsge xsluscore6dollarskuscore4 (bvadd (bvmul (bvsdiv (_ bv1 32) (_ bv2 32)) (bvadd (bvadd (bvmul a1uscore6dollarskuscore1 (bvmul t12uscore0dollarskuscore1 t12uscore0dollarskuscore1)) (bvmul (bvmul (_ bv2 32) t12uscore0dollarskuscore1) v1uscore3dollarskuscore7)) (bvmul (_ bv2 32) x1uscore3dollarskuscore6))) (bvsdiv (bvsub (bvmul ?v_0 ?v_0) (bvmul vsluscore6dollarskuscore7 vsluscore6dollarskuscore7)) (bvmul (_ bv2 32) B))))))))))
(check-sat)
(exit)
