(set-logic BV)
(set-info :source |
These benchmarks used in the paper:

  Dejan Jovanovic and Leonardo de Moura.  Solving Non-Linear Arithmetic.
  In IJCAR 2012, published as LNCS volume 7364, pp. 339--354.

The keymaera family contains VCs from Keymaera verification, see:

  A. Platzer, J.-D. Quesel, and P. Rummer.  Real world verification.
  In CADE 2009, pages 485-501. Springer, 2009.

Submitted by Dejan Jovanovic for SMT-LIB.

 KeYmaera example: vsl.proof, node 3106 For more info see: No further information available.
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(declare-fun x1uscore3dollarskuscore7 () (_ BitVec 32))
(declare-fun ts4uscore0 () (_ BitVec 32))
(declare-fun A () (_ BitVec 32))
(declare-fun B () (_ BitVec 32))
(declare-fun xsluscore12dollarskuscore0 () (_ BitVec 32))
(declare-fun vsluscore10dollarskuscore0 () (_ BitVec 32))
(declare-fun ep () (_ BitVec 32))
(declare-fun a1uscore6dollarskuscore2 () (_ BitVec 32))
(declare-fun t14uscore0dollarskuscore0 () (_ BitVec 32))
(declare-fun vsluscore6dollarskuscore8 () (_ BitVec 32))
(declare-fun v1uscore3dollarskuscore8 () (_ BitVec 32))
(declare-fun xsluscore6dollarskuscore5 () (_ BitVec 32))
(assert (not (exists ((ts4uscore0 (_ BitVec 32))) (=> (and (and (and (and (and (and (and (and (and (and (and (and (and (=> (and (bvsle (_ bv0 32) ts4uscore0) (bvsle ts4uscore0 t14uscore0dollarskuscore0)) (and (bvsge (bvadd (bvmul a1uscore6dollarskuscore2 ts4uscore0) v1uscore3dollarskuscore8) (_ bv0 32)) (bvsle ts4uscore0 ep))) (bvsge t14uscore0dollarskuscore0 (_ bv0 32))) (bvsge vsluscore10dollarskuscore0 (_ bv0 32))) (bvsge xsluscore12dollarskuscore0 (bvadd (bvadd x1uscore3dollarskuscore7 (bvsdiv (bvsub (bvmul v1uscore3dollarskuscore8 v1uscore3dollarskuscore8) (bvmul vsluscore10dollarskuscore0 vsluscore10dollarskuscore0)) (bvmul (_ bv2 32) B))) (bvmul (bvadd (bvsdiv A B) (_ bv1 32)) (bvadd (bvmul (bvsdiv A (_ bv2 32)) (bvmul ep ep)) (bvmul ep v1uscore3dollarskuscore8)))))) (bvsle (bvneg B) a1uscore6dollarskuscore2)) (bvsle a1uscore6dollarskuscore2 A)) (bvsle a1uscore6dollarskuscore2 (bvsdiv (bvsub v1uscore3dollarskuscore8 vsluscore6dollarskuscore8) ep))) (bvsge x1uscore3dollarskuscore7 xsluscore6dollarskuscore5)) (bvsge v1uscore3dollarskuscore8 (_ bv0 32))) (bvsge vsluscore6dollarskuscore8 (_ bv0 32))) (bvsle v1uscore3dollarskuscore8 vsluscore6dollarskuscore8)) (bvsge A (_ bv0 32))) (bvsgt B (_ bv0 32))) (bvsgt ep (_ bv0 32))) (bvsge (bvadd (bvmul a1uscore6dollarskuscore2 t14uscore0dollarskuscore0) v1uscore3dollarskuscore8) (_ bv0 32))))))
(check-sat)
(exit)
